summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2018-05-11 11:49:49 -0400
committerIan Stakenvicius <axs@gentoo.org>2018-05-11 12:00:58 -0400
commit04dbda8f8b26fa328d7109fe48c5773086fc364e (patch)
treeab8eaf8c1f622a07488a1246cde857eb0fb5f381
parentapp-misc/wcd: Removed old. (diff)
downloadgentoo-04dbda8f8b26fa328d7109fe48c5773086fc364e.tar.gz
gentoo-04dbda8f8b26fa328d7109fe48c5773086fc364e.tar.bz2
gentoo-04dbda8f8b26fa328d7109fe48c5773086fc364e.zip
www-client/firefox: bump to v60
Includes mozcoreconf-v6 and mozconfig-v6.60 eclasses Closes: http://bugs.gentoo.org/653678 Closes: http://bugs.gentoo.org/655396 Closes: http://bugs.gentoo.org/655022 Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--eclass/mozconfig-v6.60.eclass396
-rw-r--r--eclass/mozcoreconf-v6.eclass277
-rw-r--r--www-client/firefox/Manifest186
-rw-r--r--www-client/firefox/firefox-60.0.ebuild (renamed from www-client/firefox/firefox-59.0.2.ebuild)10
4 files changed, 771 insertions, 98 deletions
diff --git a/eclass/mozconfig-v6.60.eclass b/eclass/mozconfig-v6.60.eclass
new file mode 100644
index 00000000000..464f14d2ce9
--- /dev/null
+++ b/eclass/mozconfig-v6.60.eclass
@@ -0,0 +1,396 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+#
+# @ECLASS: mozconfig-v6.58.eclass
+# @MAINTAINER:
+# mozilla team <mozilla@gentoo.org>
+# @BLURB: the new mozilla common configuration eclass for FF33 and newer, v6
+# @DESCRIPTION:
+# This eclass is used in mozilla ebuilds (firefox, thunderbird, seamonkey)
+# to provide a single common place for the common mozilla engine compoments.
+#
+# The eclass provides all common dependencies as well as common use flags.
+#
+# Some use flags which may be optional in particular mozilla packages can be
+# supported through setting eclass variables.
+#
+# This eclass inherits mozconfig helper functions as defined in mozcoreconf-v3,
+# and so ebuilds inheriting this eclass do not need to inherit that.
+
+case ${EAPI} in
+ 0|1|2|3|4)
+ die "EAPI=${EAPI} not supported"
+ ;;
+ 5)
+ inherit multilib
+ ;;
+esac
+
+inherit flag-o-matic toolchain-funcs mozcoreconf-v6
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_WIFI
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild needs to provide
+# optional necko-wifi support via IUSE="wifi". Currently this would include
+# ebuilds for firefox, and potentially seamonkey.
+#
+# Leave the variable UNSET if necko-wifi support should not be available.
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be default-enabled.
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_JIT
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild needs to provide
+# deterministic jit support via IUSE="jit". The upstream default will be used
+# otherwise, which is generally to enable jit unless support for the platform
+# is missing.
+#
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be default-enabled.
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_GTK3
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild can provide
+# optional gtk3 support via IUSE="force-gtk3". Currently this would include
+# thunderbird and seamonkey in the future, once support is ready for testing.
+#
+# Leave the variable UNSET if gtk3 support should not be optionally available.
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be default-enabled.
+# If gtk+:3 is to be the standard toolkit, do not use this and instead use
+# MOZCONFIG_OPTIONAL_GTK2ONLY.
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_GTK2ONLY
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild can provide
+# optional gtk2-only support via IUSE="gtk2".
+#
+# Note that this option conflicts directly with MOZCONFIG_OPTIONAL_GTK3, both
+# variables cannot be set at the same time and this variable will be ignored if
+# MOZCONFIG_OPTIONAL_GTK3 is set.
+#
+# Leave the variable UNSET if gtk2-only support should not be available.
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be default-enabled.
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_QT5
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild can provide
+# optional qt5 support via IUSE="qt5". Currently this would include
+# ebuilds for firefox, but thunderbird and seamonkey could follow in the future.
+#
+# Leave the variable UNSET if qt5 support should not be available.
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be default-enabled.
+
+# use-flags common among all mozilla ebuilds
+IUSE="${IUSE} dbus debug neon pulseaudio selinux startup-notification system-harfbuzz
+ system-icu system-jpeg system-libevent system-sqlite system-libvpx"
+
+# some notes on deps:
+# gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 2.14
+# media-libs/mesa needs to be 10.2 or above due to a bug with flash+vdpau
+
+RDEPEND=">=app-text/hunspell-1.5.4:=
+ dev-libs/atk
+ dev-libs/expat
+ >=x11-libs/cairo-1.10[X]
+ >=x11-libs/gtk+-2.18:2
+ x11-libs/gdk-pixbuf
+ >=x11-libs/pango-1.22.0
+ >=media-libs/libpng-1.6.34:0=[apng]
+ >=media-libs/mesa-10.2:*
+ media-libs/fontconfig
+ >=media-libs/freetype-2.4.10
+ kernel_linux? ( !pulseaudio? ( media-libs/alsa-lib ) )
+ virtual/freedesktop-icon-theme
+ dbus? ( >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72 )
+ startup-notification? ( >=x11-libs/startup-notification-0.8 )
+ >=x11-libs/pixman-0.19.2
+ >=dev-libs/glib-2.26:2
+ >=sys-libs/zlib-1.2.3
+ >=virtual/libffi-3.0.10
+ virtual/ffmpeg
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrender
+ x11-libs/libXt
+ system-icu? ( >=dev-libs/icu-59.1:= )
+ system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
+ system-libevent? ( >=dev-libs/libevent-2.0:0= )
+ system-sqlite? ( >=dev-db/sqlite-3.20.1:3[secure-delete,debug=] )
+ system-libvpx? ( >=media-libs/libvpx-1.5.0:0=[postproc] )
+ system-harfbuzz? ( >=media-libs/harfbuzz-1.4.2:0= >=media-gfx/graphite2-1.3.9-r1 )
+"
+
+if [[ -n ${MOZCONFIG_OPTIONAL_GTK3} ]]; then
+ MOZCONFIG_OPTIONAL_GTK2ONLY=
+ if [[ ${MOZCONFIG_OPTIONAL_GTK3} = "enabled" ]]; then
+ IUSE+=" +force-gtk3"
+ else
+ IUSE+=" force-gtk3"
+ fi
+ RDEPEND+=" force-gtk3? ( >=x11-libs/gtk+-3.4.0:3 )"
+elif [[ -n ${MOZCONFIG_OPTIONAL_GTK2ONLY} ]]; then
+ if [[ ${MOZCONFIG_OPTIONAL_GTK2ONLY} = "enabled" ]]; then
+ IUSE+=" +gtk2"
+ else
+ IUSE+=" gtk2"
+ fi
+ RDEPEND+=" !gtk2? ( >=x11-libs/gtk+-3.4.0:3 )"
+else
+ # no gtk3 related dep set by optional use flags, force it
+ RDEPEND+=" >=x11-libs/gtk+-3.4.0:3"
+fi
+if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]]; then
+ if [[ ${MOZCONFIG_OPTIONAL_WIFI} = "enabled" ]]; then
+ IUSE+=" +wifi"
+ else
+ IUSE+=" wifi"
+ fi
+ RDEPEND+="
+ wifi? (
+ kernel_linux? ( >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72
+ net-misc/networkmanager )
+ )"
+fi
+
+DEPEND="app-arch/zip
+ app-arch/unzip
+ >=sys-devel/binutils-2.16.1
+ sys-apps/findutils
+ pulseaudio? ( media-sound/pulseaudio )
+ || (
+ ( >=dev-lang/rust-1.24.0[-extended(-)] >=dev-util/cargo-0.24.0 )
+ >=dev-lang/rust-1.24.0[extended]
+ ( >=dev-lang/rust-bin-1.24.0 >=dev-util/cargo-0.24.0 )
+ )
+ ${RDEPEND}"
+
+RDEPEND+="
+ pulseaudio? ( || ( media-sound/pulseaudio
+ >=media-sound/apulse-0.1.9 ) )
+ selinux? ( sec-policy/selinux-mozilla )"
+
+# @FUNCTION: mozconfig_config
+# @DESCRIPTION:
+# Set common configure options for mozilla packages.
+# Call this within src_configure() phase, after mozconfig_init
+#
+# Example:
+#
+# inherit mozconfig-v6.46
+#
+# src_configure() {
+# mozconfig_init
+# mozconfig_config
+# # ... misc ebuild-unique settings via calls to
+# # ... mozconfig_{annotate,use_with,use_enable}
+# mozconfig_final
+# }
+
+mozconfig_config() {
+ # Migrated from mozcoreconf-2
+ mozconfig_annotate 'system_libs' \
+ --with-system-zlib \
+ --with-system-bz2
+
+ # Stylo is only broken on x86 builds
+ use x86 && mozconfig_annotate 'Upstream bug 1341234' --disable-stylo
+
+ # Must pass release in order to properly select linker
+ mozconfig_annotate 'Enable by Gentoo' --enable-release
+
+ # Must pass --enable-gold if using ld.gold
+ if tc-ld-is-gold ; then
+ mozconfig_annotate 'tc-ld-is-gold=true' --enable-gold
+ else
+ mozconfig_annotate 'tc-ld-is-gold=false' --disable-gold
+ fi
+
+ if has bindist ${IUSE}; then
+ mozconfig_use_enable !bindist official-branding
+ if [[ ${PN} == firefox ]] && use bindist ; then
+ mozconfig_annotate '' --with-branding=browser/branding/aurora
+ fi
+ fi
+
+ # Enable position independent executables
+ mozconfig_annotate 'enabled by Gentoo' --enable-pie
+ mozconfig_use_enable debug
+ mozconfig_use_enable debug tests
+
+ if ! use debug ; then
+ mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
+ else
+ mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
+ fi
+
+ mozconfig_use_enable startup-notification
+
+ if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]] ; then
+ # wifi pulls in dbus so manage both here
+ mozconfig_use_enable wifi necko-wifi
+ if use kernel_linux && use wifi && ! use dbus; then
+ echo "Enabling dbus support due to wifi request"
+ mozconfig_annotate 'dbus required by necko-wifi on linux' --enable-dbus
+ else
+ mozconfig_use_enable dbus
+ fi
+ else
+ mozconfig_use_enable dbus
+ mozconfig_annotate 'disabled' --disable-necko-wifi
+ fi
+
+ if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
+ mozconfig_use_enable jit ion
+ fi
+
+ # These are enabled by default in all mozilla applications
+ mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${SYSROOT}${EPREFIX}"/usr
+ mozconfig_annotate '' --with-system-nss --with-nss-prefix="${SYSROOT}${EPREFIX}"/usr
+ mozconfig_annotate '' --x-includes="${SYSROOT}${EPREFIX}"/usr/include --x-libraries="${SYSROOT}${EPREFIX}"/usr/$(get_libdir)
+ if use system-libevent; then
+ mozconfig_annotate '' --with-system-libevent="${SYSROOT}${EPREFIX}"/usr
+ fi
+ mozconfig_annotate '' --prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate 'Gentoo default' --enable-system-hunspell
+ mozconfig_annotate '' --disable-crashreporter
+ mozconfig_annotate 'Gentoo default' --with-system-png
+ mozconfig_annotate '' --enable-system-ffi
+ mozconfig_annotate '' --disable-gconf
+ mozconfig_annotate '' --with-intl-api
+ mozconfig_annotate '' --enable-system-pixman
+
+ # skia has no support for big-endian platforms
+ if [[ $(tc-endian) == "big" ]]; then
+ mozconfig_annotate 'big endian target' --disable-skia
+ else
+ mozconfig_annotate '' --enable-skia
+ fi
+
+ # default toolkit is cairo-gtk3, optional use flags can change this
+ local toolkit="cairo-gtk3"
+ local toolkit_comment=""
+ if [[ -n ${MOZCONFIG_OPTIONAL_GTK3} ]]; then
+ if ! use force-gtk3; then
+ toolkit="cairo-gtk2"
+ toolkit_comment="force-gtk3 use flag"
+ fi
+ fi
+ if [[ -n ${MOZCONFIG_OPTIONAL_GTK2ONLY} ]]; then
+ if use gtk2 ; then
+ toolkit="cairo-gtk2"
+ else
+ toolkit_comment="gtk2 use flag"
+ fi
+ fi
+ if [[ -n ${MOZCONFIG_OPTIONAL_QT5} ]]; then
+ if use qt5; then
+ toolkit="cairo-qt"
+ toolkit_comment="qt5 use flag"
+ # need to specify these vars because the qt5 versions are not found otherwise,
+ # and setting --with-qtdir overrides the pkg-config include dirs
+ local i
+ for i in qmake moc rcc; do
+ echo "export HOST_${i^^}=\"$(qt5_get_bindir)/${i}\"" \
+ >> "${S}"/.mozconfig || die
+ done
+ echo 'unset QTDIR' >> "${S}"/.mozconfig || die
+ mozconfig_annotate '+qt5' --disable-gio
+ fi
+ fi
+ mozconfig_annotate "${toolkit_comment}" --enable-default-toolkit=${toolkit}
+
+ # Instead of the standard --build= and --host=, mozilla uses --host instead
+ # of --build, and --target intstead of --host.
+ # Note, mozilla also has --build but it does not do what you think it does.
+ # Set both --target and --host as mozilla uses python to guess values otherwise
+ mozconfig_annotate '' --target="${CHOST}"
+ mozconfig_annotate '' --host="${CBUILD:-${CHOST}}"
+
+ mozconfig_use_enable pulseaudio
+ # force the deprecated alsa sound code if pulseaudio is disabled
+ if use kernel_linux && ! use pulseaudio ; then
+ mozconfig_annotate '-pulseaudio' --enable-alsa
+ fi
+
+ # For testing purpose only
+ mozconfig_annotate 'Sandbox' --enable-content-sandbox
+
+ mozconfig_use_enable system-sqlite
+ mozconfig_use_with system-jpeg
+ mozconfig_use_with system-icu
+ mozconfig_use_with system-libvpx
+ mozconfig_use_with system-harfbuzz
+ mozconfig_use_with system-harfbuzz system-graphite2
+
+ # Modifications to better support ARM, bug 553364
+ if use neon ; then
+ mozconfig_annotate '' --with-fpu=neon
+ mozconfig_annotate '' --with-thumb=yes
+ mozconfig_annotate '' --with-thumb-interwork=no
+ fi
+ if [[ ${CHOST} == armv* ]] ; then
+ mozconfig_annotate '' --with-float-abi=hard
+ if ! use system-libvpx ; then
+ sed -i -e "s|softfp|hard|" \
+ "${S}"/media/libvpx/moz.build
+ fi
+ fi
+}
+
+# @FUNCTION: mozconfig_install_prefs
+# @DESCRIPTION:
+# Set preferences into the prefs.js file specified as a parameter to
+# the function. This sets both some common prefs to all mozilla
+# packages, and any prefs that may relate to the use flags administered
+# by mozconfig_config().
+#
+# Call this within src_install() phase, after copying the template
+# prefs file (if any) from ${FILESDIR}
+#
+# Example:
+#
+# inherit mozconfig-v6.46
+#
+# src_install() {
+# cp "${FILESDIR}"/gentoo-default-prefs.js \
+# "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
+# || die
+#
+# mozconfig_install_prefs \
+# "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js"
+#
+# ...
+# }
+
+mozconfig_install_prefs() {
+ local prefs_file="${1}"
+
+ einfo "Adding prefs from mozconfig to ${prefs_file}"
+
+ # set dictionary path, to use system hunspell
+ echo "pref(\"spellchecker.dictionary_path\", \"${EPREFIX}/usr/share/myspell\");" \
+ >>"${prefs_file}" || die
+
+ # force the graphite pref if system-harfbuzz is enabled, since the pref cant disable it
+ if use system-harfbuzz ; then
+ echo "sticky_pref(\"gfx.font_rendering.graphite.enabled\",true);" \
+ >>"${prefs_file}" || die
+ fi
+
+ # force cairo as the canvas renderer on platforms without skia support
+ if [[ $(tc-endian) == "big" ]] ; then
+ echo "sticky_pref(\"gfx.canvas.azure.backends\",\"cairo\");" \
+ >>"${prefs_file}" || die
+ echo "sticky_pref(\"gfx.content.azure.backends\",\"cairo\");" \
+ >>"${prefs_file}" || die
+ fi
+}
diff --git a/eclass/mozcoreconf-v6.eclass b/eclass/mozcoreconf-v6.eclass
new file mode 100644
index 00000000000..64e0e3d66d3
--- /dev/null
+++ b/eclass/mozcoreconf-v6.eclass
@@ -0,0 +1,277 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+#
+# @ECLASS: mozcoreconf-v5.eclass
+# @MAINTAINER:
+# Mozilla team <mozilla@gentoo.org>
+# @BLURB: core options and configuration functions for mozilla
+# @DESCRIPTION:
+#
+# inherit mozconfig-v6.* or above for mozilla configuration support
+
+# @ECLASS-VARIABLE: MOZILLA_FIVE_HOME
+# @DESCRIPTION:
+# This is an eclass-generated variable that defines the rpath that the mozilla
+# product will be installed in. Read-only
+
+if [[ ! ${_MOZCORECONF} ]]; then
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE='ncurses,sqlite,ssl,threads'
+
+inherit multilib toolchain-funcs flag-o-matic python-any-r1 versionator
+
+IUSE="${IUSE} custom-cflags custom-optimization"
+
+DEPEND="virtual/pkgconfig
+ ${PYTHON_DEPS}"
+
+# @FUNCTION: mozconfig_annotate
+# @DESCRIPTION:
+# add an annotated line to .mozconfig
+#
+# Example:
+# mozconfig_annotate "building on ultrasparc" --enable-js-ultrasparc
+# => ac_add_options --enable-js-ultrasparc # building on ultrasparc
+mozconfig_annotate() {
+ declare reason=$1 x ; shift
+ [[ $# -gt 0 ]] || die "mozconfig_annotate missing flags for ${reason}\!"
+ for x in ${*}; do
+ echo "ac_add_options ${x} # ${reason}" >>.mozconfig
+ done
+}
+
+# @FUNCTION: mozconfig_use_enable
+# @DESCRIPTION:
+# add a line to .mozconfig based on a USE-flag
+#
+# Example:
+# mozconfig_use_enable truetype freetype2
+# => ac_add_options --enable-freetype2 # +truetype
+mozconfig_use_enable() {
+ declare flag=$(use_enable "$@")
+ mozconfig_annotate "$(use $1 && echo +$1 || echo -$1)" "${flag}"
+}
+
+# @FUNCTION mozconfig_use_with
+# @DESCRIPTION
+# add a line to .mozconfig based on a USE-flag
+#
+# Example:
+# mozconfig_use_with kerberos gss-api /usr/$(get_libdir)
+# => ac_add_options --with-gss-api=/usr/lib # +kerberos
+mozconfig_use_with() {
+ declare flag=$(use_with "$@")
+ mozconfig_annotate "$(use $1 && echo +$1 || echo -$1)" "${flag}"
+}
+
+# @FUNCTION mozconfig_use_extension
+# @DESCRIPTION
+# enable or disable an extension based on a USE-flag
+#
+# Example:
+# mozconfig_use_extension gnome gnomevfs
+# => ac_add_options --enable-extensions=gnomevfs
+mozconfig_use_extension() {
+ declare minus=$(use $1 || echo -)
+ mozconfig_annotate "${minus:-+}$1" --enable-extensions=${minus}${2}
+}
+
+moz_pkgsetup() {
+ # Ensure we use C locale when building
+ export LANG="C"
+ export LC_ALL="C"
+ export LC_MESSAGES="C"
+ export LC_CTYPE="C"
+
+ # Ensure we use correct toolchain
+ export HOST_CC="$(tc-getBUILD_CC)"
+ export HOST_CXX="$(tc-getBUILD_CXX)"
+ tc-export CC CXX LD PKG_CONFIG AR RANLIB
+
+ # Ensure that we have a sane build enviroment
+ export MOZILLA_CLIENT=1
+ export BUILD_OPT=1
+ export NO_STATIC_LIB=1
+ export USE_PTHREADS=1
+ export ALDFLAGS=${LDFLAGS}
+ # ensure MOZCONFIG is not defined
+ unset MOZCONFIG
+
+ # set MOZILLA_FIVE_HOME
+ export MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
+
+ # nested configure scripts in mozilla products generate unrecognized options
+ # false positives when toplevel configure passes downwards.
+ export QA_CONFIGURE_OPTIONS=".*"
+
+ if [[ $(gcc-major-version) -eq 3 ]]; then
+ ewarn "Unsupported compiler detected, DO NOT file bugs for"
+ ewarn "outdated compilers. Bugs opened with gcc-3 will be closed"
+ ewarn "invalid."
+ fi
+
+ python-any-r1_pkg_setup
+}
+
+# @FUNCTION: mozconfig_init
+# @DESCRIPTION:
+# Initialize mozilla configuration and populate with core settings.
+# This should be called in src_configure before any other mozconfig_* functions.
+mozconfig_init() {
+ declare enable_optimize pango_version myext x
+ declare XUL=$([[ ${PN} == xulrunner ]] && echo true || echo false)
+ declare FF=$([[ ${PN} == firefox ]] && echo true || echo false)
+ declare SM=$([[ ${PN} == seamonkey ]] && echo true || echo false)
+ declare TB=$([[ ${PN} == thunderbird ]] && echo true || echo false)
+
+ ####################################
+ #
+ # Setup the initial .mozconfig
+ # See http://www.mozilla.org/build/configure-build.html
+ #
+ ####################################
+
+ case ${PN} in
+ *xulrunner)
+ cp xulrunner/config/mozconfig .mozconfig \
+ || die "cp xulrunner/config/mozconfig failed" ;;
+ *firefox)
+ cp browser/config/mozconfig .mozconfig \
+ || die "cp browser/config/mozconfig failed" ;;
+ seamonkey)
+ # Must create the initial mozconfig to enable application
+ : >.mozconfig || die "initial mozconfig creation failed"
+ mozconfig_annotate "" --enable-application=suite ;;
+ *thunderbird)
+ # Must create the initial mozconfig to enable application
+ : >.mozconfig || die "initial mozconfig creation failed"
+ mozconfig_annotate "" --enable-application=mail ;;
+ esac
+
+ ####################################
+ #
+ # CFLAGS setup and ARCH support
+ #
+ ####################################
+
+ # Set optimization level
+ if [[ $(gcc-major-version) -ge 7 ]]; then
+ mozconfig_annotate "Workaround known breakage" --enable-optimize=-O2
+ elif [[ ${ARCH} == hppa ]]; then
+ mozconfig_annotate "more than -O0 causes a segfault on hppa" --enable-optimize=-O0
+ elif [[ ${ARCH} == x86 ]]; then
+ mozconfig_annotate "less than -O2 causes a segfault on x86" --enable-optimize=-O2
+ elif [[ ${ARCH} == arm ]] && [[ $(gcc-major-version) -ge 6 ]]; then
+ mozconfig_annotate "less than -O2 causes a breakage on arm with gcc-6" --enable-optimize=-O2
+ elif use custom-optimization || [[ ${ARCH} =~ (alpha|ia64) ]]; then
+ # Set optimization level based on CFLAGS
+ if is-flag -O0; then
+ mozconfig_annotate "from CFLAGS" --enable-optimize=-O0
+ elif [[ ${ARCH} == ppc ]] && has_version '>=sys-libs/glibc-2.8'; then
+ mozconfig_annotate "more than -O1 segfaults on ppc with glibc-2.8" --enable-optimize=-O1
+ elif is-flag -O4; then
+ mozconfig_annotate "from CFLAGS" --enable-optimize=-O4
+ elif is-flag -O3; then
+ mozconfig_annotate "from CFLAGS" --enable-optimize=-O3
+ elif is-flag -O1; then
+ mozconfig_annotate "from CFLAGS" --enable-optimize=-O1
+ elif is-flag -Os; then
+ mozconfig_annotate "from CFLAGS" --enable-optimize=-Os
+ else
+ mozconfig_annotate "Gentoo's default optimization" --enable-optimize=-O2
+ fi
+ else
+ # Enable Mozilla's default
+ mozconfig_annotate "mozilla default" --enable-optimize
+ fi
+
+ # Strip optimization so it does not end up in compile string
+ filter-flags '-O*'
+
+ # Strip over-aggressive CFLAGS
+ use custom-cflags || strip-flags
+
+ # Additional ARCH support
+ case "${ARCH}" in
+ arm)
+ # Reduce the memory requirements for linking
+ append-ldflags -Wl,--no-keep-memory -Wl,--reduce-memory-overheads
+ ;;
+ alpha)
+ # Historically we have needed to add -fPIC manually for 64-bit.
+ # Additionally, alpha should *always* build with -mieee for correct math
+ # operation
+ append-flags -fPIC -mieee
+ ;;
+ ia64)
+ # Historically we have needed to add this manually for 64-bit
+ append-flags -fPIC
+ ;;
+ ppc64)
+ append-flags -fPIC -mminimal-toc
+ # Reduce the memory requirements for linking
+ append-ldflags -Wl,--no-keep-memory -Wl,--reduce-memory-overheads
+ ;;
+ esac
+
+ # We need to append flags for gcc-6 support
+ if [[ $(gcc-major-version) -ge 6 ]]; then
+ append-cxxflags -fno-delete-null-pointer-checks -fno-lifetime-dse -fno-schedule-insns -fno-schedule-insns2
+ fi
+
+ # Use the MOZILLA_FIVE_HOME for the rpath
+ append-ldflags -Wl,-rpath="${MOZILLA_FIVE_HOME}",--enable-new-dtags
+
+ ####################################
+ #
+ # mozconfig setup
+ #
+ ####################################
+
+ mozconfig_annotate disable_update_strip \
+ --disable-updater \
+ --disable-strip \
+ --disable-install-strip
+
+ # jemalloc won't build with older glibc
+ ! has_version ">=sys-libs/glibc-2.4" && mozconfig_annotate "we have old glibc" --disable-jemalloc
+}
+
+# @FUNCTION: mozconfig_final
+# @DESCRIPTION:
+# Apply EXTRA_ECONF values to .mozconfig
+# Display a table describing all configuration options paired
+# with reasons, then clean up extensions list.
+# This should be called in src_configure at the end of all other mozconfig_* functions.
+mozconfig_final() {
+ declare ac opt hash reason
+
+ # Apply EXTRA_ECONF entries to .mozconfig
+ if [[ -n ${EXTRA_ECONF} ]]; then
+ IFS=\! read -a ac <<<${EXTRA_ECONF// --/\!}
+ for opt in "${ac[@]}"; do
+ mozconfig_annotate "EXTRA_ECONF" --${opt#--}
+ done
+ fi
+
+ echo
+ echo "=========================================================="
+ echo "Building ${PF} with the following configuration"
+ grep ^ac_add_options .mozconfig | while read ac opt hash reason; do
+ [[ -z ${hash} || ${hash} == \# ]] \
+ || die "error reading mozconfig: ${ac} ${opt} ${hash} ${reason}"
+ printf " %-30s %s\n" "${opt}" "${reason:-mozilla.org default}"
+ done
+ echo "=========================================================="
+ echo
+
+ # Resolve multiple --enable-extensions down to one
+ declare exts=$(sed -n 's/^ac_add_options --enable-extensions=\([^ ]*\).*/\1/p' \
+ .mozconfig | xargs)
+ sed -i '/^ac_add_options --enable-extensions/d' .mozconfig
+ echo "ac_add_options --enable-extensions=${exts// /,}" >> .mozconfig
+}
+
+_MOZCORECONF=1
+fi
diff --git a/www-client/firefox/Manifest b/www-client/firefox/Manifest
index 5e907b76754..bee22e7ed10 100644
--- a/www-client/firefox/Manifest
+++ b/www-client/firefox/Manifest
@@ -368,96 +368,96 @@ DIST firefox-52.8.0esr-xh.xpi 441173 BLAKE2B 79a2b0c6037dfc638a6987a17f864c274c1
DIST firefox-52.8.0esr-zh-CN.xpi 461679 BLAKE2B 3dd05e314d096b5e4433cbdc7445792b95ef3eaf4e7edbff2835b285e05025fed38f69b4ab51a3662fb04e32a7f1ce75acbc18bd6bfb46ecac9ceed22c15e57f SHA512 bdde8f6b01970332cbaf4e00124669987211b04c4a4e01fded9dd4ccd4b3cd265622d6207f476007cf85dccbf52dfefff3f4fbc4ede92a10c618fa148dac49db
DIST firefox-52.8.0esr-zh-TW.xpi 453068 BLAKE2B 2099fc503ef3bcdd50a65ce48129a92e6567da06bba45142e6f383bb4ea8a6a9fb7a59056f078fda2177c82d22b8268b005908999d31b847750534121962a462 SHA512 88a08cc47c9cc0f22186271e0a8f472862c8f7f0ddc10c580efe56bb93f0d30b35704c86d79eb86c3ef2c24b8dbae2c922130e4f11df9864db66bd871efc3454
DIST firefox-52.8.0esr.source.tar.xz 214054520 BLAKE2B 3410a3e485e891119a5d4ac0e47b963fcd225c5d8f3ca8dbfe3f25456de80171263228f34241278c78d932bef44106a5fbb05c588e55b04ca07abec9daec613a SHA512 4136fa582e4ffd754d46a79bdb562bd12da4d013d87dfe40fa92addf377e95f5f642993c8b783edd5290089619beeb5a907a0810b68b8808884f087986977df1
-DIST firefox-59.0-patches-01.tar.xz 10660 BLAKE2B 694417d544b565663ccd86b8d3c9745dbd0441e12525c4bf2e7e4592d3191609ac877fc513237f16c026a312fdfb5ea7d51b3febdd24dacfa87bc029e1e02e04 SHA512 211d80fac2d11b7beff93ba3f95b63b6795b8ab5711c1626ccc2e4084d3eb7e0394052fb0c300397892cb440b704c230d19fabdeae13b3617fdd48165964e0b0
-DIST firefox-59.0.2-ach.xpi 439227 BLAKE2B a1da5dc7cd2db53ca856e22ff4fb18ba48f567841b3feca16aeefd4ddb8037c8051904636b2b8e73701aa4743e157250f54f59178892ecef3d807b5cb9fb602b SHA512 907221e0434fe2735ab23f00508dc8d40fc2dc99caa64770ec8be2d5e1279fb44e624e4bd288ea11f3be5da33e9a62265c55891e52f800e5e76cf7325fc206dd
-DIST firefox-59.0.2-af.xpi 436731 BLAKE2B 87f179a4a0aae268e6ea4a0a79bab6d205ed97bb0b4de168c33cfdd154347b9e8f72c1f40d15386943d9d17eb9618baba8fb76d546d62fc130416542668b8839 SHA512 9f52af21dd832ba2ee718d6bd7df7e7330ba64687089ffa728468d29c1e627be1900738118cc31597a1202d22df229085c98f92142239cb5de17cd6288ee64c2
-DIST firefox-59.0.2-an.xpi 463405 BLAKE2B ca3444d106d27eb6c0745c30469a8f182030a5967998e5d23c472d0965398c76f0c10ec32ba7239b834db2b5419006754eada433c4bcf128ccc5a59b00ec71fa SHA512 e46be9045b8c5486ebc60866be0d3e0b2ea115985cfb7f4e6f3985ded611183fc9ca03602143b76f044899a6ada15b8f3c6eb2970e676c8ccc71ff78b40f10ec
-DIST firefox-59.0.2-ar.xpi 486633 BLAKE2B f889128dfe03ab3e5b718b8dc8e217481d5f80667d6be39dc88b43d4475b761298bc57fbc8fa20ce75933b0d3b0f9322547a30d3bbc6e306713ad7fe60b7af27 SHA512 027dec5f2e632bb63b0b8111697de0573c577bc59cdac4e0e7fd0bb466ad04e285b37135afc97ac7746d7dd53882d326976675c7f4256d3051a8f583c0e4ce52
-DIST firefox-59.0.2-as.xpi 483301 BLAKE2B 2a1c25b3cd5293580e7100d4cbe26241addf7c528946de66440801ee88e4c0d814300c5cfb436178fb33ec09036af73dceafb87fa86bbdb30fa068e1f61cf8a4 SHA512 484c9049851ae3c24138c65cd5f5b6a3c8a316675cdf83c161b5d4998992d26d74499b4427e2d5a062c05391735de5e2ced1806c1c1fafe057df9ca60791f708
-DIST firefox-59.0.2-ast.xpi 454343 BLAKE2B 7abd1292141cdd048c5bd35212661b1427047dfca20d945ac7a6faad20f83e6110a9175080bf0ba141eb243bcfa1386be859541d4d53b7a1e004c6addb075449 SHA512 43fe699036808f979bfbc8af99a7f56c6b3dc4a5b809b1aada3f72cdda102d16f7c0f067d9cdc22cdde93355e2d4984d12ce8cd64c75e025b45bfc0be78503fa
-DIST firefox-59.0.2-az.xpi 464270 BLAKE2B c9848311e2512f11a81093d456c4166fd35af70c7f8b6b809fe5c339ac0deb63d2bead6a2a177cafa89503393b0ad9bd047ddfc4b2e5928fdbd1f98fd6f32228 SHA512 04a2e5bd74f616650025540f592859346690aa4500927943fa41e70d44415a208a2fa2e05c821e80df4976eaae55cdf1d77cebe5b2abd84a4b190d7442d3c1f9
-DIST firefox-59.0.2-bg.xpi 508613 BLAKE2B 4fcf6fa28fbd1210335e744f555e065d1836d4f0307c2c3cf5415058ddd782ed77350ecda1a52b7f71e1e15aa2cfe0f4b11995c6f8995661a3171220e88ecc8e SHA512 d255045eac64ee8d58cc7865fb01599cdfc2faefd40be9fd64a6f2466230d38b0eaba234f9d24932977671a08727317310be4bdfda12c785becc7600531c1086
-DIST firefox-59.0.2-bn-BD.xpi 526352 BLAKE2B 7c35c4a34c5a4e8dae7d4233c9d4a790f02fb981aa48b4c1d9a75f8b6f4eb8877378f11e0624cb5996e45a9e39fbad54a778f853a2a967b1af4d0850ac947cac SHA512 f99727f5b5328e50a7a2637b534c293080a690683651c5e5f43c080a6bc6e0b8a038b811a39d8425f47c7a2ce5d4ba1b170ea61b0715d3a4fcc01c85e1a0e791
-DIST firefox-59.0.2-bn-IN.xpi 510797 BLAKE2B f9e778b783550384f68b34f183af6c131489237c00b86d3a3c8558e94a415d3e1dfe6e4bdaea177bdd330e4db7812f4b177d04bad7c8b77231af5538e80213af SHA512 a706166ef1635789dd37cc591fb4f1d25260122c3de9a7ea10e811bc360ff9a742b4a25969f87db4867e05f4e893655884b6c76da7f68085d4ac31ed001e595b
-DIST firefox-59.0.2-br.xpi 451719 BLAKE2B 12987d20211bf98ea7e6dc245664f764cbfd8c1f3a01cfa621e628932fce66b0fe86c67a219c608d34b3e1d534f845db1f91e95962603422a7dd24e0a5d67427 SHA512 aff0fa0dedf15f2d323015c886f16e60a12c41fd7ac7cd5c85204113708b66996abb894e3c6f7bc83b791068cc38a9c21d5c1d48fe4a5ac9292009d2a4093fe8
-DIST firefox-59.0.2-bs.xpi 457859 BLAKE2B 728dd64905368bb064d037de2cf4e62c90002d6ff191285438acd84320b4f8f363fcc93d5a728bef0e2c033f0bd83ae6dd7d67a6697e4dfcd49ada676b68bd4f SHA512 1d367eb5cf6a50669ab63a3fe6ee5395d40aa3ae8f8caec8b02c29968b7f7aeb83a43796599bf2294a2a76eaeb9410217109518cb8e50408859f8ed15a967e4f
-DIST firefox-59.0.2-ca.xpi 464912 BLAKE2B 9bdbc7227481d8c42301c9c6577854a56ba51ddac7d22a6e79d100a73f02386e30a1b41f95b294c7d74cae65bee37d9faa5ef2a314abba40208d4d927c2df8e8 SHA512 d37dcca5a19cb913ca13300fbed5127e6e82fa1342aa4af5d6d4f48019ce6300418022ee3e8ceea9980963db3126f69a58b74252773118d80e07343256b477c3
-DIST firefox-59.0.2-cak.xpi 475234 BLAKE2B 3117130e60da4ff4422656f1e2e6cc0cf3b079e11c0558eb64af31ecbb28c4fcc5c85975b8efbc01200e2f82ffcfbfae545cba852d5c37d6e4239707517273f5 SHA512 0e75441c40d867e818c1bd7325b59cef138001a1adff3a745366c4ba76a67fee50f9f8368b0468f4a5333d5c2aeb65886a5d6c6227921b0b18dc64d6e927a880
-DIST firefox-59.0.2-cs.xpi 471575 BLAKE2B 7982527aff5bda82a51b056caa06657d4c1a7593e1438b5cfd2f63707b0ce27427f1a5b1f7f70e3661528a8447079187282605146d1ff04ebec2b96f68cc1c3c SHA512 aad648c71e82e311b2d2432fcf93f77cade090b22ec9151b2dd5f0c005bfb80576d2279796b385f54e74e6a2ab00d08f2390e64943149a88d2697f0daf7e50c3
-DIST firefox-59.0.2-cy.xpi 454433 BLAKE2B f95452225bee896b1f46a1de5781eb57706cb2ca74cfbc12ddc7d96ccc755fa3a938f3c33e01a0380666d0d27e11e8a9e497641e5f11f94a68162ebd1a7830fb SHA512 7d838e28ab08c1450f9a99c110a3747f6232f7a62d8093be590e7e09c8719a30cc51f0d905ba340d541c5bf0f77913141ab7535ba32563ebf7c689ac1de9ff83
-DIST firefox-59.0.2-da.xpi 446948 BLAKE2B 6bc2ba322d4c858c279250f9d48b2d8a8e66bef40c01e06f935ec9000b7d18ec6480b83ce125d0f11ee4287ec5a7f8f5b98f0bc995be70d5d166531d5fe85148 SHA512 a3f0581bcfa1f69c3ff80f232375230583f6475d127944ac486abc378a8e2f26ac0df6f9bce6a565367133af88b71cdc1da52051095ac979a7f2636b93bf22a4
-DIST firefox-59.0.2-de.xpi 466272 BLAKE2B 6ee2093097d648dfb1a1eb3bf67191c13cc249832f4c00d759185dc9a3d1a46a8a78f8cb0f5a28c8af2d352564c6bab52b9aa61df66edb58ec08a54a080bbbbe SHA512 816aa2861c7247cc1ca9bd2afe1c81a182a82cbedd47a14b717560a195f4add122e4ecb2cd045bc905f0a7753177ccda8362ea4f5cab550b6dfd4ded977f5a96
-DIST firefox-59.0.2-dsb.xpi 478974 BLAKE2B 7924bd23a7ec2ba5e0b16803f6ed12876a3c25c2cca3f7ce724e7bab7d6eada6dc2360c2f59ee90e0acb11227d6e6daa937e2a11c8851c6d98b5c26767408ac7 SHA512 64f23a0b17140917d8f73faff67e1b665d532e40bf0cdee980124da0d6463e12605cbcce65659849806ae22319a9a33ac2730f954a06c5b67f1263bb9d7382b4
-DIST firefox-59.0.2-el.xpi 531408 BLAKE2B eacd77fa5b4b4f56b89d28c754914e2368c0d9b3ac60211aa2dba77791e8efbb4b450d93106bc92abe4908264941c35aff22a4728e849415702c09f01d6eb1f7 SHA512 f787681956242f589f89350ec4ecfc1d91f297cfbb4508e753cec112e733391c127fca33bef8b465916e55ec6c692588f4ba6b38004156eb7db22fef9a2f4f6b
-DIST firefox-59.0.2-en-GB.xpi 434300 BLAKE2B a02e0bfcd933d8ee9c0e823b03a7312d206b87c75f027c0301fdca169a03b2c341e115e79b8a76430926e28af1390829c11d1491cecbfdebc7fbf72f55508509 SHA512 4de2e0e3e8bf5aa152d6692ec5771b291c7c387a2903c4a61a5270c7ff99eb268b2bd768330c8b5200d47f04ca1b8793339369709086f04ecb33a0ad42b422b8
-DIST firefox-59.0.2-en-ZA.xpi 427365 BLAKE2B 420967a72e4f6a11b1192d30c14c9bdd6b4246be118996d1e85d5aadc1517f54012b5944747b163c1b73fad4266fa0247a22489da9d5fc9d28a4350a0d19c35c SHA512 1f7479aafe8a26ca3ab271487ed103f2b250672d79af2e946b7fc06dbea734f4575aae22617d03889b5922d19cbc884395fc36b669eb2e02584f2a8f55fd8c6f
-DIST firefox-59.0.2-eo.xpi 453366 BLAKE2B 644fe29ba3509dc8cf37ee86ad509ebb1550c4ffca88fb5170d97b4ce8f0a9aac97eb4924f118318fab8cc760b999ee9c160a4e12ebceca34ef0d9def7bd25bb SHA512 4ad411ddc1c1d8a33ae95fc8777351394dad2a3f9b24b4c601c38cd0fa26396818cbf52afaf6800531920c5e6d6f1b5880b93990ce93a2090b135ab08593291e
-DIST firefox-59.0.2-es-AR.xpi 461797 BLAKE2B aa45a397352d8254446c4de61d060a8069485ec57a07f7f222416c0c85bf07ee1a8cd01af016ec0bf278a85ee64133c81e119b8bfe07fabe431748adfc5c7eb1 SHA512 7e9ac2c74aa041bc9b8523612c7e0f47fafb3ac4c282d94faf46d76dea210cea825c72a4b33f3c58ac6fbee1f131a259ec89de577c9e3bdf98539f54cbeda0ab
-DIST firefox-59.0.2-es-CL.xpi 464654 BLAKE2B e3aa032feb1ee05e6e1dad6d312b6ca71173c3f2f60d482c8280da2dc6adc82b383762fcdfd35956811c56b4fdea6d4e2867565abde167172cf280f3b0d472f1 SHA512 9e3f5af9852f0f8324d2d36b3737c6b760fe31fe805ed44999eb339b416101c3158e4e4b367bbc6affb5b2c05ec89f2ff4a71127d4f926b3d66d8b1d8c192dce
-DIST firefox-59.0.2-es-ES.xpi 348463 BLAKE2B b0473ae1bb9b9b12aa63f7adcf54712c198100c3d6e3433b02ad24b427b88d9e53d20c5176cde3f0e9bb1fb00f2b9449c78e6b04cdc49d95fb8e65e139f8c04a SHA512 3c1d4430523c149103df99e7c872974ff22e0beb537424e4441ce2682c24656974fec060091f7647ba9a85c2c6e1464f99b9f65dfb9e5e9c75ddf8dc32802dc7
-DIST firefox-59.0.2-es-MX.xpi 466313 BLAKE2B 1b1ed0b89c0e3888767c4121949b7888e777dcfb382c5918bcce47b28b84a9f382c5b794e86216c4a4377c2a9979bfa1f66ccddb02160ecac2afe6497925cf5e SHA512 a9c5054aed849d7ea77f8d25d6625efa2d6e6f0c5709fd238e665f27cefc8e2d7597eeea26b572978b2984f23d6629ce3d2b806ee1068843797dbd7f8084312b
-DIST firefox-59.0.2-et.xpi 445394 BLAKE2B a0fb0a6c67adca0fa63b3104931d9f33ac365c341aabc771547b8126ce7598fc7922126913ff5f85c1befda44ba1725ebca5cc3c252bf04f7cfd32d4419c6209 SHA512 a31166eb3c5b54ca1485879a59530e6a05c5e79080f97b56b2d5b3fcbee7c5d8995ed76b0511df2ce97987f1d8dbae50ef7b1ad0397ac40fd50bf400760f53c2
-DIST firefox-59.0.2-eu.xpi 455236 BLAKE2B c4134ce8a81df0d93f258bc9303a1420c75850e8b9a5f81db665c03c5667e8af26ca3804515b75244665090865a52a491a0d22a5b0b48d09de55413fdc9e0c39 SHA512 abbdcf14c722f5cc18c0ebaa8c0093ed57985e7d6a0be9cfe0ad3b1ec9f8f394a04b6d963461a5ec4f457c9e072ec59bfcf0b005373f8bdb59c80ce2bb9af889
-DIST firefox-59.0.2-fa.xpi 508098 BLAKE2B 49e2a882cad57198ff250d07b2d39e74067080ff0a3106ed75f0bc83276df09c4c93a7509a1438fc65386454009be427a953e304762c31494f1a00a978d1a2df SHA512 bb6cd02740d919afbcdfdaacf19d5932566f6d3c0fd2dd1c0a22cbbae236c6f01e45e36fc253622b444d6510cb3f54935185a38f80647863d09805394015fb15
-DIST firefox-59.0.2-ff.xpi 455027 BLAKE2B dccbf755b30592606d006f0d7391ce9df7dc749ff0b6b7f062765a02c8c0d33840e4f1bf4aa120832ca5ae2419d72ccec1ee6d6110fea83dcf245f760bab4d3a SHA512 d0ac52a74f6f4e4c50050e09193758cd448f491d1ed1abbcaf8796b2bca9287f22d12880a36d675c0be7204faa370b6101e3a30f18031319846c347516b48f9d
-DIST firefox-59.0.2-fi.xpi 445182 BLAKE2B b89870329a03faa8a694df0fa57ce944fe540591b589856d222b58a238fcab51e6ca108aacc14149d0ff0a4720e5892269bc1def8e173abdb6351c36f2ce021c SHA512 4863a18269ab4eff591e4d3bfd5567e59d008944eefb4180dbbbfa79f35d9022040eba504fa0272639d9636a49cdb706d920386995e431dcfdb77dd118970167
-DIST firefox-59.0.2-fr.xpi 473593 BLAKE2B e243cba46ec795270c7d2f2654b161ad78a56c711d87e85c25285ddff5339da6e8ae3fa45f8cd89396f2300dbd5887cacf57b443f72edac92871d70c9d153d8e SHA512 d0fc8ce1a5933e50a18bd95d7789ee1aabc2950f3747d1d8b5299fcb6a52e07cce2f5f17f66f3f4ba585e5a95b45888108974237ceb8e5cf2deb0e6862c1481d
-DIST firefox-59.0.2-fy-NL.xpi 462918 BLAKE2B ddacf52b6753f9866ccc82b63e8db07913a4f59146a4421b895c15c20b0069568ea367ffacc28b292f84e9e7b6d607280b1a03c7a0d28b394edd1ba1de885914 SHA512 b8fa4d6c641354fb25f48528d26d2404f23ff1423a371c212d8e79e9fc06165a3ca4c4614be1bd38a7571e752c508481d2f4e374d2df6d69cc132f95e267de12
-DIST firefox-59.0.2-ga-IE.xpi 471909 BLAKE2B 2a2b4fd1a8926240776580c865cca11be3410b789e5c127d34abeaaa7b424897fd66cf97d92b840be04e5d0a1bfb50a3acf4607e9410d09a2d73a879ae5994e8 SHA512 0d85a5161dda221e8162ee78c9ca50cb34b00decb7be47b087c9208608cc0ef7153ceaf649adead09abe53da9423eebbe022e67b5ea7a44c42cc033ce30e039d
-DIST firefox-59.0.2-gd.xpi 461297 BLAKE2B e9a5c9c53c8797c60bea5b5c9012863d3c696afc66aded1f9f3fdf6bfae251a02ac4956e2337e9f2bdc5deda7281a6d50cd44a25fab445779233fdb32a73d5da SHA512 fd025006ca614a0c68f64942396312c3a1da284ace8fee829f9d9f160a5cc294cee8d6f2ebdec9aa4493ab6ce983e823f48646992413ed622a9c28041029b3c2
-DIST firefox-59.0.2-gl.xpi 441615 BLAKE2B 9fe368e2b96c064eba601f3bbe327bbb1689faa15999c7234107a0ac5e57e37d7cb166b7765f24912bb07153d258248c6e2ecc5403e513b2283ac38aea0b3c5f SHA512 fcee3e381eee53362fc0778c95c509f28574174e64703e747a9c9aeaa92c9eac9eecc3200fd14bfa5d15033ca1d9dda88ae125d103170fa8f1e944f6ebd8f7f4
-DIST firefox-59.0.2-gn.xpi 469397 BLAKE2B 904b70ee725db3175eb891cc5e6579f8cbdc3f99f92febefae636a7d9a94cafde0350920be1d12b2c4bb4f816ee6c0cb8091972663bc97dacc350202e9464e06 SHA512 d2fabec58e9392cfc2b024d34465fc7c216aa9f3584c2b714e34a5d2694bcd07d9947517f85bf8c64d047958c0ee8db85a92205b2651fd9984faf3c150b4e0d1
-DIST firefox-59.0.2-gu-IN.xpi 521804 BLAKE2B b7ab9e2134b48cd16633e012c08aa7efe71cbfa422b02c91e9df442715a10c2fefaf6feefe1af4cb07a622dcb168ea4c92b89df407a789a60cb7fa6b823feec3 SHA512 23681fe178020ee3326adbda72794e0aecd90d2f5509c5067738b43a6a1d4f9b3eaa0a7c315531ccaeb53851dce83ab936819fc13b1b50c2c5a26f85a8e00bca
-DIST firefox-59.0.2-he.xpi 472771 BLAKE2B b0f211fc509f85b973263116acc92b25eebe6564b4f02af8fb42dbf4afec40b59dc8cc6cb8f77924286988ad7c44cee4b457de583e16fe5e90928a80b39356d2 SHA512 036c0881541190bccd449fe08f938dce8006f65efe921baf424500a174a5338a7c47a7790a02f07d3c052c5f9ce5ddfadf53446be988218e9a940fbbced1f87a
-DIST firefox-59.0.2-hi-IN.xpi 524279 BLAKE2B c7798f0226f52d304ca6f2dcac621dbe7963566060ec19df9bc3e301bd03c716443ce304bde0a2f0740e19fb4a62aff488d068271e3aff30e573957f0fc74f75 SHA512 25a1cd0c3a62bd25c02515e812f13828e1afc7badc797b7ee904b999bc46c35831059ad2f5735cd8cf6741227b2bcb4846a7a175e03efa279315ce3898a81333
-DIST firefox-59.0.2-hr.xpi 459978 BLAKE2B e7eca25af49252a4b0c18564905bb43faed0d21d6711e54c3f157a1f404370a880cd811661367d0b5a558cba1829c72513eb75af460040323d751cc2d48f05e5 SHA512 0c8ca6e5d37744110068bb435daf724eaeed0c0acf679c1720321630b982db7be2f0a47b940913d8b91276d8d8523a8d29ee198e19e301a6c369eacf7851a494
-DIST firefox-59.0.2-hsb.xpi 475940 BLAKE2B 4802c871d2c6e8ef704c89cbe518d868672077fb7b56ca38a94b330274e97487d822599d8756ef36fa159a10e47c9edb1645da2f8a288fd29d7cce1dbac9e1b1 SHA512 63b73352e6099cc65ac15f8a9173d6f701044bc0df2cea97b8877c63912dccaac9077daa4074a5159d9de93cdea41a2a0be9fa3b7beb5197a878bade537b31d3
-DIST firefox-59.0.2-hu.xpi 476896 BLAKE2B 27d4865e75c4fd41c0ec9e27031089a4b8b30258c87c07f841ef8949755739e711185dd667ce7851e88df3f4244910a6863cd7cd5d0b69a8e4be51bddd92df8a SHA512 79444b489315a71b73c05f1d8567044aaefef1184cf5df46b31d76d549ef1ef961ce67822cc0f51c2363f5d3619fd4a7ff8de6e98b9f5439cb7bcf9d63316c13
-DIST firefox-59.0.2-hy-AM.xpi 508167 BLAKE2B baf6356b156420e7c39e43fd219fb3a26855df7efc63142ddb3f833c7ddf92198e906ae5cb5fda0ed3853fc3bd62157b4870a95ce24067ae8ce02ad58c59327e SHA512 e8d8dcc3aca16b14f2c7f6dd5bcb254d6ca043ccb49c744d28ec13bdead23fc975bfd5042c840549112ac70d60cda8f98f043299ddf2819ec302ebede4892095
-DIST firefox-59.0.2-id.xpi 441952 BLAKE2B 739a5adee6c54fd1b0b807d2ccf66df3de834129258c72f80ccfcecf922b7b12288315b087b4b0d46f683505db624846c263395e6b526522f4a48cc082dcf33b SHA512 5f34db816f01e9db5aae66d767053865fd4a1d2e0cfd9cee7e169c55d60d6f62183e6d103a18652ee09fd93d6080acdecdf29fa2c4c633fda52e80106c7c5c22
-DIST firefox-59.0.2-is.xpi 451373 BLAKE2B 9b56db67b4f57805d2d40c80d02eb8f1486a01e7d94e34e755554379298294f94c8726ff8d1b43fbafc7c8577030a3720a74c90656c123af87907c57ff25b093 SHA512 c42ad2dd8a42c36ddf20079c3086d8d5e0f19cbc1c81e703cda344f18f744aa10adb1e2b4ed8f3138536dda1a23afeb8a9c73177d9c0653a8cee3a300369d6da
-DIST firefox-59.0.2-it.xpi 342524 BLAKE2B 469bf8fab7c252f00cfd14cdb20b94257aab423c1882b24e5988f655387522642fb2d0379fa386e788828b7e8c49d4b520795c2ecff5941ce4cab4b97e0beea7 SHA512 58422e70ee414464736c941a2d27a4ebb08042cfb57cdcddd3c77d1e1f957e43bf53c21739972f5b441eab3ff19be7b837db434df6f290a98d45bac7f198e048
-DIST firefox-59.0.2-ja.xpi 508148 BLAKE2B 5d0d4fdf23bf2767d37fd660f7f996f70d350a38f3706ca3bff5446a5a86ebfc6f7e4efe3053729297234094ef85489670649479d193e71dfdc4a9d13cebe53c SHA512 4ff5dd46c1d238e5bdce58e6362e1d6c176722cde43a64fdd14c7138938c5b0bb6eaa48cbd5e6744eb7e1a4d9da97035f78acbebd7c9c3d17a3b39422422b070
-DIST firefox-59.0.2-ka.xpi 492569 BLAKE2B 67ec529a818b37be4e2b25b6610abdf2912b388f7875bb6d994ea2db1d3e5d936f851e4e4b15ebadd0dbd31c85915e2c0b89f7de83365a114b982843802e636c SHA512 41239a9cce4db16f50a57d03b1ff438bd2e84154bbe8e79b4cc00ab0dc615f2ef134b425bb6c3243b494daf22f4f9058d2c658cef4a798f860d6863ae65d179d
-DIST firefox-59.0.2-kab.xpi 461840 BLAKE2B 8b567a85ff054c2c7a6fb3f906f0c9f2f39414ba6894e1964eea275e45fa394d5bb4a5f171ece1ed4b974d110610afc8e8067a65edb19e48af010a3df888db2e SHA512 9acf055e77a7691f75cf9ef220075c53801972e37790ed37695681bc7be5efa1c8c97514e2805f7158b599a39bde9a6ddde5d6d05a1e1c028a35595d4dda5b78
-DIST firefox-59.0.2-kk.xpi 517583 BLAKE2B 159b60156fc5a4e722a4594f4cff04dd958b400206c26b1ce683f41cf433b31820a36a00f39c8b8854d712ba8a6c4005d8dd5a085a6742d3df917b0ce87c37ff SHA512 d1b0542ef20759e915a391d5bfbecc3c0069146bfd508506e14942b7f9804a066e5b61e2c9d14e501391e59b6b67130c2c1e7aee4cb62340583117e47aa0dc4c
-DIST firefox-59.0.2-km.xpi 526359 BLAKE2B 02872b7b178969a0293e4307b85f7c398618059eca6db2cc4d4fb93d41b1431a485c49a176899602fa769f50727446aea737d4df439e943c3b23ff5fc6272e32 SHA512 289331c1276a9ad784b3a995defd8ae5df23e191a2c76860f481563faebc15e6aaa5fa5b5daed9b66b0f13660e1ec4d1349342d3b783962bb83609b2f5e35643
-DIST firefox-59.0.2-kn.xpi 527879 BLAKE2B 3f074b0a756f5b4581447cf100071ca354de1df286c9a8c6540bb5308a90df05aa9567b4972d677812869a919656b3205d96aec642ee77318982bad19ea6d1a3 SHA512 022b166657c8fbb16783a326842547f3077f19fd2eac04aeeb364313dbc4f60cc21416b32fdab384cdae96081b2d3d82c348c0b8df540c12a3550bbb0ef14420
-DIST firefox-59.0.2-ko.xpi 487661 BLAKE2B a07788d61c8064f1ce13b43000e675e7d555f718db8652bdc2d2640c0a4c1392f9038801c723bc1992ad98602a1b475f28640a00fd5ac73269737cbc1969607c SHA512 ad7a0222947e4afab7c572a95d026918eba08e6b1e81337875474fc79366897a1a9dc06f6533eb1768a273f3af26bb37cb2d0f29672bd3daa306e83d866ffb4f
-DIST firefox-59.0.2-lij.xpi 446606 BLAKE2B f22c014258fec844ddb803b4ecda2eef35e393b1763bc57e24dc28f31c0d8b8ad8122d596095cd21597693ff1b4edb48764d7176296eb7a61b88f7b100678905 SHA512 f61defb36376a55eceb3922bfec9732cb234f6876859ba33a5326efa5bfa3d9694ced77c115b4782ada4550ef6b7f4db736e3987844d047f6b79c854debbfb66
-DIST firefox-59.0.2-lt.xpi 475142 BLAKE2B 7b2ccfd219355ffa9137ce3415897b2063cb267c55bcdfcdfbf5e32ce7707a76419ac546bbee4bbdacdee4ad764cd20b3b4c3f8a95b3335cdf9a1ec23098bd2c SHA512 cc1d31c3867a35ec8ae6435e2d0eba6f62310eb443a2d369f6db5346f208411d2b27fcb6286f1e66f9c57300c33a238d206fdbd0943cf1da80a4daa596453b68
-DIST firefox-59.0.2-lv.xpi 463655 BLAKE2B 1a9176117694c8968a995d1fe32c85f121c9e7c2c2b14759726f93d62726c2c86e755188fff95cd2daf5483bfca35f84e21a505a981a4489487729c56705336d SHA512 a447d243605b5ce1aa86b6af3ee5a70ed7cf38792523b761f71dd79aef0f9ec45ecda07305162242502049d50289d4a9c7ad447fe1f391a0f101af7ece1bba2d
-DIST firefox-59.0.2-mai.xpi 499910 BLAKE2B e38284fca1125309138fda1cc9e4f78bef75adab7af229c3d78b4c3eb9b6fff68a1bb3c6dca86d674d694ec09031f3c46b516d6b3e77786880ebc7fa142aa3d2 SHA512 298110644eb099702f60a168e9d5a5c30ee0bf42544c2e328109b0656235fd3cdc31647cb66bc61dd1dd8b5f8adfbbd9ca4d96d5d8c4559435c5c383f9bd9d67
-DIST firefox-59.0.2-mk.xpi 484076 BLAKE2B 246b8bbbfa9a71a82e18a16dfee6f94309d2e4f5a04ca3a816d82bfeb93c835d37e7bb3a45a5ab1fd4f286fc1b6475f2e956d9eede1e810ca3c938dc08a3b00d SHA512 650a043cb809e547c155ee610f034aac5a15385793086d467f505450acf08d239bd2f784ab7a937549c27abdce3c991db8e5b345c1e9473a4cc25443f0d995e6
-DIST firefox-59.0.2-ml.xpi 539735 BLAKE2B 9aa68826ca17c57785002c50b7dfd927a99334c00e7a283a900aef0f0cda54729c372d9dd791e840e7b2af445d0903c850022db657bc6fbd4b5e7fa749a337bc SHA512 40ab25e495a3c062cce82bed84387e717abf4f67dd6acf0c02b1b93540a02567854979fb94c99c842f5dfe7ecaab58f4a2cdfee06021e78dc2be5b1b44abaeaf
-DIST firefox-59.0.2-mr.xpi 517961 BLAKE2B efed27c2fe0f64c825b7536287a48addc12ad9b266533bbf5993545e69113123d8c00f71de563907ba0525ecaa8ba12d11e57beb8a53f7a7d285189b6bed4ffe SHA512 b9252f8c9e51c5d559b0459e62c9c2931a4d79ac28203b935eebd4656670e495320ddfe47064263ffef12263fe057d05f292ac182a0a7a6fd708976617e9e3f1
-DIST firefox-59.0.2-ms.xpi 450075 BLAKE2B 3d90cbd0a8abb22ee0e129af926df2b9eecc7c8d33c7bcedcb221d5fc557791fcb4900ece0512218ceb76f338f335e7dc9ca05171ad674f7b5798f6bf566cfcd SHA512 bdc4a0ad2069bcb26da925035535f4d63db00516383315b7b39dd274f39092bf3dc6efecd1ea7c760cdcb0def6d3bec52db17534bb99b3d8bf0f7647a74cb2c4
-DIST firefox-59.0.2-nb-NO.xpi 450276 BLAKE2B 4bb46c7edd554cb9cc1ce057953b4d7ea0a03daaa8d74cf5843139b9b388b3b49c83bebe86b773e09a154b05b2cdef27b5540d4b2a8da6bcfdd999c8d29d5693 SHA512 73c8bf10a5092da89208f8ee0babf7d182d3004f8eca5620afd804c96fbe6aab6c93cab84eb3963512eebb477aadd7f904ec870ba1b71d1382c3b57e26df7a88
-DIST firefox-59.0.2-nl.xpi 458128 BLAKE2B 75aacc07e59235d99fe174a2095d9069573f1c3d6f13f1c6a539023846d011037dd1b4f744dad83d71b4b03ca689c6818321d451e15afa0d5a8ee005969af220 SHA512 38a4b6b658c2dac609b560427608f11f904dd6d62b1861e657c259b649dfde858bf8d779e7d649a5486368f9b78ad7394a5d062cf5cb6fee54f95655f155f1d8
-DIST firefox-59.0.2-nn-NO.xpi 451470 BLAKE2B 2d476cfeb33a9f9fb8423c007707daa4768c1e1bcd120c071fe47f8a2488a330c8773587cebfb6201333aac77491c14ce363537952c7295911fc5993a5c54876 SHA512 d0b6659d83a2500544bd75500e88d4d81af25257fe52a49ecdb9db6fbb376488554b4ae4926b264da2f5dad00b3c36b7b104a3d4816ac7c7c975496e3e9edcbb
-DIST firefox-59.0.2-or.xpi 493181 BLAKE2B 6c9cfbde3355f12a4cb609ab7a30f5b2b9f7aed9db18ff4074ab26a47235a76d3219a7a5a6f88b16c281930c1988452660171ced3aba9f3bcef1a0600f74e767 SHA512 10d0c6a89a83800ace414a8c8ec9695b84f83d10d8a7fc4fd7c23c2f875a54f3821272895760c8d96a35876b9b640b414e247fe60a2d9564f5bf5c4b7ec75f71
-DIST firefox-59.0.2-pa-IN.xpi 492420 BLAKE2B 3e894a6c9bbeded81373ece6cdc66bec06647d1b5e35966aa20e37eacf24cc693f084771607eba631344f9fc7277839055c2abf4091c239912c649846ab42fa4 SHA512 c9f4374f5bf6da3e3be324bc30c42f9861464a8d195172b89ecbdcdd5a4352bb850c28e5fd1c7dcbfc2c63d9feb3897aad9c37c34c1c88b3c3005ee76bd6c818
-DIST firefox-59.0.2-pl.xpi 358511 BLAKE2B a3a97d8a45a60af106445a26687ce4aca96f9bea4677231fc3b05bf05cca9b1c7f4f1b776dc1d443c07ee36584c38bb6331ae34c0667e738f169b02b6f230453 SHA512 0e8bd53544bfb451dffd0d5470031aa11adde9accec03e89301d2866882af1e6d86cc67006d665a77dfac750bb0cfe06a40fe71df63f89a1deb1572356692afc
-DIST firefox-59.0.2-pt-BR.xpi 455916 BLAKE2B 3aafe1a79ef41bccca16eb6ea25baef695ef7c7d174bedd1576af8b7b499af42fb252f720ca18c1bd4dc3b444d89ed81d6a3b758cc864f0c0606eac40ecbf752 SHA512 3ddc1836e133f6522d0f70fbceead2eba28b7ed24d203103bb97b02dd00235e64579d5f37549ec50bb0c5bf6359d8bd443130332325285e8aa144b785c893384
-DIST firefox-59.0.2-pt-PT.xpi 459331 BLAKE2B 9ff41802a16fd19687a564bde59ba8991bc90fe8e7598dd730b112e9c3bd780e694f8056f3a509e0101b65f7ee977f3021affd6e0227e76b55192272cfda63b2 SHA512 8434f6cfa340575d9735352e9e1f3a071ff4f959defd1725ad87875e2439494c0559eff3e81064dc20e9c22219e20635f554d1d7a793d76403abeea34c733367
-DIST firefox-59.0.2-rm.xpi 449757 BLAKE2B b72726b2ffd5fec1ae08342737e7e63bc158d3149fb86ea24798fc1f20311b8e53f2328cacfa6648c34455351bc4f9d61d9d8a712b958a1d5c67eb68f0eb78f8 SHA512 0e7c16742ea14a5d1f21b9d3bded39b2eacaa2ec14c2748513a603e1b9cabfc99e52beb2c1c0e4b84b9e576769e4b66e883cc34c30c58b1a9ace09bff135e42f
-DIST firefox-59.0.2-ro.xpi 453403 BLAKE2B f4bd281522ab10bdf143d6d9a87f5994fce4080e10c562d41f17c31c9f79d471fedb1bfa5a2481fed307c9467e6e678f0162e7f294b5e34582e47720bc877bdb SHA512 1f1ff770b8bb5ecc74e7b882d119a39f676b92586779d90851a49cbc02214351d43834eb7aa44c8c506e5b768a2a3d796e8180ba5d7ffda17850f579efa824be
-DIST firefox-59.0.2-ru.xpi 526523 BLAKE2B 52d747bafefec1992ef8b1598dcca9f229a2e22f34d4138465bb25eaf2f929dc5a8024a90b66bfa098aea19b395ebabd1395377104096b616b5e41258689ab13 SHA512 bdca13c3c810dac43b36038628aa23325367ded516600a079487d84ff498fe9de78cbf16a7ce38baaaaa1e3b7da52010e833dd4212a7c5748c2a54b7342065e6
-DIST firefox-59.0.2-si.xpi 492588 BLAKE2B 11cfbb89514ec122dfdb5f3991106c276561304bf24828987b7be461bb0d84644f863ffbf84148ffd9acbad7c9cd399cdc54857120240674e4e97886bf77b2ad SHA512 85710014b75f6be545d8a992ffba568ae3454e80d965f4d50ff40c34a9a3e9afa5bf6bef14615f9c6186dc262ba84f3929347495d009c062562bd17fbeef9a2e
-DIST firefox-59.0.2-sk.xpi 480813 BLAKE2B 557b3d9da7d979971e6807b77195d7ba2037bbb56bcb00c440f6cbd26417dfdb6247453dfb5edb9d70feffd43c3d022510bc0498bbfe1cab2df321a9514f4b6c SHA512 b90512c901b2689e2597ba8d9ddbf49937e4cd1a814974f9663c2747b9458a1d476cefc330f7acb849a61cd1a07c31072a61c300d874dce69a1a5fdfddf615f4
-DIST firefox-59.0.2-sl.xpi 458824 BLAKE2B a5c4de68f106e84b350a95b2f4928d684855417091b1ab4726c89b50c3dda05158db09aa0a698c8d9b22942bf67e7e4303287b1613eb57733285828564df1de4 SHA512 d038e261f43c07eaf9810971a4db78cd987ee1c70afb60b82177127c9968320c475694dae71ddbe79f2f48b0f7599b57d9cf50d4a4fca5fb08a52e1322db756f
-DIST firefox-59.0.2-son.xpi 446400 BLAKE2B c822e03383251344c511628fd527667230240e7431583bee73d9b427f9b4b43dc2411a5a435adbaa7513b34d86411bdf0cbd36725d086b1149d5241e4bb0a0cd SHA512 0f2d0737fd6d63ead738985ce73f5a81587af98cb01bc4fd12f80fd8a170ce2366248a016723f6b68b5797610f0939866eb5521bf5bb32a7e7f098296b21e06d
-DIST firefox-59.0.2-sq.xpi 464463 BLAKE2B 98d2a3e4165c14370e6bbf503aa915a117c896a29af95318f93bcbd3e495a4ec63c1f181fa8772bb1f3138d0572edcb7288ab5324497fb26e629b50051b293a5 SHA512 33ae9dc9429bd6e64a4999099a4c6113f58fc60c1f4fee48e0a08f3fe4332cdd00e53e4a1a159d1bdba97815f43cc0ce179c930748d5d901d1434dd9ccf5d829
-DIST firefox-59.0.2-sr.xpi 486178 BLAKE2B f3fc75579567f471351f3f6f4f846caa819c41cf43aa453953c7bddebd0c2a2d8d14a8dc1236ad3b3244d5e9fb6cfe04a6f899e453b27672581198bd74ae3f9e SHA512 2db89e3849266324a9192d895a987742f4c18a36feb277b117320c1947ee124813f10ec3e5ad3eb4e007798b344223bf3c449f51c29dc1003fa83bb1ef2460dd
-DIST firefox-59.0.2-sv-SE.xpi 458659 BLAKE2B f945982038eb16166cc3fe505a860c2c56454e10afb3357bf91a495841f079cbef05bb4f4e00058db8a6dec68296134b9608131e11e7b0147502e1b586b64f89 SHA512 23ea9e5b880888de6070ffabe985208a82f3b0feb67d37dd2f205aacca6d3826ff77ba846c1024cb5492f88cd7fd19f8d4c1dc5dec256130afd6b981a33868b0
-DIST firefox-59.0.2-ta.xpi 512843 BLAKE2B 4ef2e279f1b5aaa4a5b960c83c9ff2f26933fcd6d786fe6e298acbd76f8a7198bb5dc2c8a418ef172dbd40b8a6b0b44c3c06a79f9941e3e39720566e09c8fba6 SHA512 6dca4dc75d6a65f539284b3d68611daac69499072b90a7a8c4d266157209c7b45bdaa6c93446ed220ee6bdae4e4098f3efcf6e2f98ff470853c70f11bc1f957e
-DIST firefox-59.0.2-te.xpi 527083 BLAKE2B 34b4d885780abc192d564fb1b9d7c786bc277be4b54e76de7aee296334d389fbb9f7dd7719cc99bf9eefb0f5c61f4fae1814798cbf0e98fcd515124faf9bea81 SHA512 9f4969d1ef404d6cbb608efc9cf1f80503de98a63d7743b98e8e6074fc623dd3996292736380ec75ae1443c1757859a61cc70d710352e6f9cad89e0799281b9b
-DIST firefox-59.0.2-th.xpi 498544 BLAKE2B 8342535494262529667ec6ba85712fd1a38bce1acb1a11880b149c710f8839f52c23b80eaeac39efab139bfd63464b2317f541dec489ab7eaf5929a995e48f83 SHA512 5f21f1a94e8bc04e34c908455703112cb10ee675b9007816e6d20fd71dfd8c41cd84f9be934e7d354a142776cc073f0c49cf69e8fb886e424734d605a93810f1
-DIST firefox-59.0.2-tr.xpi 463593 BLAKE2B ead9374829b77dd6bd01ec955b69c128314e5adff252fc16db227684a501cb927755bbd1e614913a4651033976165b7fcf92ae10a71c9ea8c14c0633e9ad3b55 SHA512 3f783a14d994f7fc40eff729fcfb95c319444ecb732ae398611ebedbf61a9d996479e14d7ea16c9e30a88d17e80adce53bd3d7237672aded6a2d90769f54edf5
-DIST firefox-59.0.2-uk.xpi 516926 BLAKE2B e73c79d0df788b29b02e6854a5d558aacaba8318082415cd5d6fccd8ebd6bf790c5c2e881a9d6e38802718bdf2128d3099b28b226a8f3e0abe0a6d7260aa7b77 SHA512 58e029b9a6e817078c7adec8132c7ad826d0bd8b1f40250ddc97b66b19469a14deb218c79365972eafffc1dcdf0fe6780e6cd97ad6bb19c81a6b23ff0a13e778
-DIST firefox-59.0.2-uz.xpi 456923 BLAKE2B b15e77966e275ed41f8603b7233a7af4daaa47c5b333c7fe83359f9b90426cf2c2c625eff086c2f16a09d67784e62fa49ff6b8fbc7c5cca7699b46fbfa0bde32 SHA512 a6ee52136bbf77ec9070496eded7afeb51b3aa22cbaefee70cbfef654d31b2013286d070559339367e5dc6b3f68267ba797086dd8895681f6fa228138ce7e660
-DIST firefox-59.0.2-vi.xpi 470069 BLAKE2B 2cae66032ec68e04650cb4104de227b63ed7cf87bb311438c69ee88f861f2eecc43a74cf45c0fe2737deeb88033d3bfd9ffbc8ad329ebf01572adfd2aa322587 SHA512 79bd5fec8fa8078f1e0d9c99c2d5ecf33da0bb796cb5d8cc541dad04d858c536d8ede538ebc3e4627881a719c424a4639a6811452417ada874d7ea801bec219b
-DIST firefox-59.0.2-xh.xpi 460772 BLAKE2B 8a6553e77cc8b81c93609edb939b3d1687dd1efed003f61dc1facb7db1bfd16fddfe9674bd849c46d5279bb1c081ecd5ac07915845c8752b82c4a638939ca4aa SHA512 27d6a30b0392dcc3fa8c2824bdfdba3961fbe3b42aa7572b7221d93403b97ae9bf4fcd286df1c58b180065d40071322df90ff51a49f8302d4169c3b30dced30b
-DIST firefox-59.0.2-zh-CN.xpi 483449 BLAKE2B 72df7408dc83d1f602178f4999ed91c90a44aa4982f16f55d9ad10fad2b2202df841d5578cc2d040dc329c1ab699dbad692d91222dd28e2a45c6f7e2376f9688 SHA512 fe63057e06573a304912c72f492a27d181c3d0195fcf433bf52e3aac91494ba4690c28dcc1da16fc8d9e0d6afe31fe88927367d9af8eec0036507a4aed1b66bf
-DIST firefox-59.0.2-zh-TW.xpi 477089 BLAKE2B e6561776645e1328bc605c0a4081ac0f5c92e4911301d73fa1ae3905c0b28d12a76e857127acb901d0537f2e80a6b401fe82377d3b0887a34778c2db0cea0c90 SHA512 203de7d3bec29e3cd8af3d9eaf7df19b7334bfbde7b00bc260da6d47c22106d436b1eb6973e482525b9bd3cba808e2f093704d6aee276c340900c6fed64ce57d
-DIST firefox-59.0.2.source.tar.bz2 304965099 BLAKE2B cf1657db483a8a20fa41a53edd2ca8b8692d56534f03bae4cdfdf3f6fc3a0ae9da2b3ccdaf6024bc868ab3ee943cfec7758a551a37834d70e661aee4196c87ad SHA512 db8f55954df3af554e7a614eaece4aed995794dac6e2d828b2f9c175d8a6b89e109c26ced41a43df9ad24e01d079cadf13d16c6a9bdd1887bc9898d34408e8e6
+DIST firefox-60.0-ach.xpi 496060 BLAKE2B 6a9600447736f1ed7c7b04dc68bcf7766ace6c5c7736e29c55bb8022f01a2d1af9f886dcb9f0580ba23d3238261de504c7f94b39c25688c06ecec284b6dc3f7f SHA512 4000fc74a943d8d48a118fff171e65620eab992007a98c169a9133b7deb4c69a543c834f9b765ffe43c907e6cb98e96e2d4a0a71077ea22d2e1d3c3f86a6b238
+DIST firefox-60.0-af.xpi 486533 BLAKE2B df0323c5d59e21968ce51883225e8cffeca2ff532bb8e91f1a6ac9a6d1324d70c3c95123e35b891f035c4c59d9ea436d65a95d3e9ceecd547b055846a85953f6 SHA512 ad4d0d5e3d748c195ce53f73a4e3f6fd3b009388d709b99c37fd95075b2727bf9b1d4d527af8c9d2b2602c89699f7878b28e35be177a5e658323e239510c75ef
+DIST firefox-60.0-an.xpi 519732 BLAKE2B e2526c661c0272f442f39bb608d3e9cbc17f004a65a0ffcd66b5f35123bbf8eac8bb3d457a9fd9f2dc03d0db98286575aa1a9c27c21a0db14e4d64a6c13932d7 SHA512 564adac606bd9e3220b5eb0dfe11ed999b75c24352c063ed4879eab065e0740f91c4214bb219f7c66e073d0c47a1ec55644b928e9914d4fab1cccfc733fe5dfb
+DIST firefox-60.0-ar.xpi 546957 BLAKE2B f9423c9879a6043dca0fdd7fc460e43107028947275e087e600bb53eb44424ec954069e8167b8ab69c4359f08e4553ac698dc84a7f301d149fc5fc55bbd70f4f SHA512 841fddf65fdad6a312608e59958b53c29ffb43b67339d40381692117625500be00553ff7ddbe4e6db04df5519deaef5d38992240d08534738fef3bd0b63f7fb0
+DIST firefox-60.0-as.xpi 529947 BLAKE2B f84d8296f572cea468cda3b5010bd4f5824c3f3ed7cf8d858d5f709cdcc040054fd6020810180732917319fd5f9727db2192cd5b482868a1db5a8d9677349208 SHA512 da1ff316077ae5fef02f14c3ac5fca5543e16864d1a08fb0bce8b184ee9dc2dcbb5721e3501ffa3a915c7662f1170f1d654c8661906062d8cd676b0a59f8902c
+DIST firefox-60.0-ast.xpi 507866 BLAKE2B 0be4fdffbcc51b20ef35464f0a3488fea9eeb1bbec01375dc40343f02353b85feb5a0a185259cfba7f6d5de851fa7f4b75c4bb0d9701dbd8fc556d18c0f495f6 SHA512 283f636f2a1b64d908742cebfbd04bac2f485d2473f1e5c560c113a84e67e1e880791aaec6a88c3c441312cec84d7ba461d0f597d5453d20886f7183aff68a9e
+DIST firefox-60.0-az.xpi 523975 BLAKE2B 2e76c1374259b690361c0ce23bd239577ad6f0db4df545fc4c207132a50ffd020fd00cd1429aabc7ed94d3f744eea03cad1fd3d75d562fa51e90679c27ef68c5 SHA512 7215828146713d1bdbf1a419c76bc24823fde8400662ac6265bbf26543b13fdff9b5824e99d702481df6c97da497eff105668a5ec82001d68a681e9e4780e949
+DIST firefox-60.0-bg.xpi 573075 BLAKE2B 95cfc43e00eaec80283af639bcecd81fa5b4f54115b104210ad361b8257c7e317b0d6620f6b2a9c9e8bc14b0e2c17c44d6a406dce96b89203c6752253c527457 SHA512 365a4f828b0022d6d7022fcae75e081ac656249769f269b141d99bc8b0b7e4a7bf4480094d4a7b646b58a581edca9d69797fb51f9281c3f0fc58e1f02676df15
+DIST firefox-60.0-bn-BD.xpi 589638 BLAKE2B 9c22b41b603effe7a3b79b801fbbd712c994cdb627eee06e180c77f29952e42e624d74ec62cc7ed5d1cb1b32fe411a07d57b8307a4c0bb4ad8da911f22c28488 SHA512 91400026814b98f5f9d9180b2cea58bb2d8f13a8df4edd012689709f0c46b41291db50b17289d3acaa3a4555072c2b1f8bdd1e71b89dbe72aa0adde45c81e794
+DIST firefox-60.0-bn-IN.xpi 570084 BLAKE2B 8e1d7fc5f72e3d4223d3e2e4b6182f0e239f4c0832b249c5f0623e3c271eb8859d7a979b5adaaa4f6751e5c56ca2c060ce4826c9d31ba7e3f04be84b623d6aa7 SHA512 f2f3934062ce87bdd6652419623472828cf1596abe01a698b39014a0faa2a1cd8c01c135313d2b1e1737da6dae6e2f31d9158ea4e47dab4d9f4cd07a822e84dd
+DIST firefox-60.0-br.xpi 511252 BLAKE2B 81512330ccf917cabe85b03e2c2d76ecd90791903e4d76963e4409c6fa01897da2671d3069a84642efe80d15a23f3652794756190cf1b1ff96aa81d36d632e0f SHA512 7258f991dd35cd2cb0eb09396c30ea2149d3061e677610312a93c2be55feccc9b649c3ae44c09bcebbee0be878c5c4186478a12d5e8425d01267f5bf1eac0290
+DIST firefox-60.0-bs.xpi 513930 BLAKE2B c7d517fc9b9f2b7759a50c8c4f635b548cbc2644cf35f5c839195077616d6364c59fbda0d5eef4cc105fd6afb98f0bd4f99d0c88724d1db95870cecd0ea5ff2e SHA512 4ac6a3a9fe921a75874b01d66cb7e694232c80e005e3fc4a9fda4e7183011741373d8940a59b82ae4d644d0f9ebbc483c15e81e6eebd1ab9ec22c8798739381e
+DIST firefox-60.0-ca.xpi 524485 BLAKE2B 5c70545410a2c22b22d1807afdec15b76d2b5665f32c2b555b8e1cec666608768a0558ad49c7c9a4a5d810bdf42edd530e9b0aacf8dfd4a13e5033dada9d81f1 SHA512 979c8d61c5d0e03ce4a216b68cb07040f1a8e118fa154e103308531d62413a5b7c5b6d384f868938ec6cf7f6f7484d8766bff9fad187ab8e86e27dd9d15d195f
+DIST firefox-60.0-cak.xpi 535507 BLAKE2B 4dc098c5991cb5dc9f4b9ae7572b25e90c5e6c3189a5f6bc6182dd53e1a513f9aee6726100b6e1c635ac620023a0ed337f0a41ecd646dc261ac91db062cad845 SHA512 2b830c0823262c9d20b928fbe0af0634c3970e4cf885e972b1d0643b22df311552dc44f84ad00bb00a7615b221b83d2327caaa3108570970842a241e2cc33fab
+DIST firefox-60.0-cs.xpi 531020 BLAKE2B b7d513cc58e07967f46032c3259fc60c3d23728f37704105ad4441caa7fb127f6024d90dee9dbfafd6768d2082f189eb572b784ed623b8e8d8bb4d206297a532 SHA512 b4308f0bc27ca900d893b5bff02f96c22ba53cbc91b5d6ce2c08d9b44b2b3225762d80c57e56f0bf551c795e301cb19ca8e7b0d2502e743f203f8af0913e82e2
+DIST firefox-60.0-cy.xpi 515865 BLAKE2B 9d5e028a6738a24ba5aac2d30b7a4e41bbea89344b33ab7fe9135406f617e7ac875c6fb91f9078f139271d63219a11ff1db93e054737f00b5ef89375f2a1a6e2 SHA512 c0df7dc67009fed80524a1d080be4ce1a4127479c2aef0ed87719924dd156309c70e1294719f2d69b91198d525e4367b2d106cea57e63e99eb2a47f0d669e87c
+DIST firefox-60.0-da.xpi 509983 BLAKE2B 40b92d9079946e5b71acda69e48f72f77daeaaa9fb19f592569950f16679518d68ad242228f079d066578488d174fa1659a64fb446d07e05e3e12607e54351a7 SHA512 de13754c64dff13bb50318cd6d3472e9593f832779298a6af6ba620fa038bb79c5697ecf12325afdac3d6943ac13f2932a82d94115e826fede68e44fdb0595d6
+DIST firefox-60.0-de.xpi 525692 BLAKE2B de339abdf57968107ba478a3b957bf31385713ba3f7b430babc470a3440e5f39115febc76e34276aab6bca0e29d53b5b69b379532f2a07cc5204422bce6addcd SHA512 2d1c89b548ebb6bcb69ceff92b9efed9d65d1c416508a11e3d35100ed567de6ccacd7b237cfd723a30158139d2c90479ee49bc78f01af4aed8e980c0d71c8fb0
+DIST firefox-60.0-dsb.xpi 538745 BLAKE2B 9387e78832a48a0ba8ce0bd6a4990ca1508b96aef89df9b51cdb790c966f1bc0a388b874b0490f2472b9def346de1dda3c8f0b7e5b9ed278a6e75683a5e665ef SHA512 fc19f8af13d889ff2d000d662bdbdd02e00894d01c5660e8ab3a6e3fad652aee3f621f1c25b7da2481435f430b59fc9f31e07639fdd02e5f4a265554393ad7c2
+DIST firefox-60.0-el.xpi 592911 BLAKE2B 5a6ab62387e0c1dcd0d6c3af23b34da4a1e2a91b8f0db76c98a2fc721d64c6aaf9e05449f8d59b5e211554e1cde540d0c0f562020ee35f7f480c1342cb629d1a SHA512 b0ca463b7252f01497ef2e9230ed5a29813359117d6a710edd5a91513ae75ebf53da2fbccc30c5da0f13fd94a8f85b3dc211b53392f9e143300234c3b4259be1
+DIST firefox-60.0-en-GB.xpi 490907 BLAKE2B 33bcf0181f2afbb38d1092b3466be0e4139affeabbad99ab60583c2bef0443c18759f9a2e4c9abd41a46c570f5e54edc8a5193a5d9497b66c844bd4688b3820f SHA512 72eeec44f9a80b0ba8a15921ca7a5b0e99cf5d937419344e65e4490b1bf992c26f1dc4319610af8f289ad26e5d6a9cdbcd0714019ed5fecb2c223e5df340dbb7
+DIST firefox-60.0-en-ZA.xpi 473893 BLAKE2B 231de0c695e6c2843c74aee71993762700419c1078d7be1de8daf934c87eba50188f8a36c2e0ab666e44331cf252748c8de04591845a39806fa74aca3ee94543 SHA512 83b8c258c3e916d3f81ce49f495fd92a02fba5dcc5d8407c00ea576b8caeab808fd21f09243b441d5cb9e97fcc038da25f98ab2a401ee1b26c8b4c57f2b51afe
+DIST firefox-60.0-eo.xpi 510486 BLAKE2B a275c693465c157756c6e5fcbb76ea2e5f769eb22acd16adc71671f4ce8adca002980b911d3bb976e25e6aef0a9f29be385f96a8a803265fa286c4de19a9a874 SHA512 013330b48f987000e7687fc2aca2f6e3608fef14ecf5cb68c374990a9c6147edc53ae3bdfa355d82e8a7b24abe8505885a89e2b7aa628368561cc6c187ee9119
+DIST firefox-60.0-es-AR.xpi 523825 BLAKE2B 8d9fd5af2d9bb1cbc89ab87f93ddaaa5d8b643ec4321fe0f01d3132746a92e3d74788bd545a4923f917b919569151f3050058af0b93443201eda393ed68606f9 SHA512 a683bea0c37db8e98a527df90949eab52a93e44dfca76e12404062e8519acee778c0750345c205019968606e5a6a2beaad1da8565344559506a2773271c9de11
+DIST firefox-60.0-es-CL.xpi 526509 BLAKE2B 0e53bf6002ee62a4a952d0fd3dd76082351203e5dc2a072899dbcd42a23bc5c4e68f3aa40e27210024a5aa7f065218e37e9e5a2e4b2804f8cdabdf30b60cf9e7 SHA512 413ef921da9edd7c5b55bfaebd5033a7ca224dd1c8e6461e9c748e2a9b3fe8f3ebbae93f089c196784d69d2946306d2286558af6a410ce08da7a5c0a84a89f0c
+DIST firefox-60.0-es-ES.xpi 459145 BLAKE2B cdc386cc4868c07866a204cc2e39fb562c8315f835bba7a0d4f8ab9f80f734bcc25a8b88699ac137ff7cbb0d2aad845756d02d49468589f645d831795d71fef0 SHA512 e655e6375dfb8bc92d0e23205e58106d71642b5791c2274302003e0037bd42ebd3f1d17df38bd0d06b77a6c1b1f70630333daa5d3bc3ca475d0e583d3902d504
+DIST firefox-60.0-es-MX.xpi 527837 BLAKE2B 38a027d3c710118a5ba8b29a2ba665af9a099225dc2a3ba8c97312f351c1dfec4141b8ab19253f024d572fba4637670603faa7cc88b9352a327f5bc4bdd202c4 SHA512 7a7c92261d4ea0908c02a7f4460e3dbf88e82dabf3cb3502d71e1165864b99e3e140b27545aacc78b565784bed8603a0c4dca3fafa905fde192eb522a6f058de
+DIST firefox-60.0-et.xpi 504177 BLAKE2B a08f1b266df8c0bff3942896d4b96d211fd66671b5e71cdbbfb259f0cca0a269473a5cb1e5adaa503dfc1cb9251839021736c5bf72e9cd83923d1c3090571d80 SHA512 911c3d4c6526ba7345a591044097cbb9f8062c177cbf6675f1a8d1be9b3598f21782bd8d53896c91f0733515fe78593ea7acdae029cfb8b2b08f0e4c98bbc544
+DIST firefox-60.0-eu.xpi 510932 BLAKE2B d78b2563f9342ace14dfe22b11b6599fbd7550a2795b245f5c28c98e43f174da577cf8471af9742124df49ac37254a2dbb4ee1fb1355594c190294adeb121d1e SHA512 b23fa2e6ed9bd6cd6a0ce8f97bc636d58ba30803a247492ed2b53454515f7d8aeb146fedb8931769fff8ba03a57947637408668e819226c85f20e4f19e98aaec
+DIST firefox-60.0-fa.xpi 565492 BLAKE2B 0bf57bf17fcae1116f73f3663b982b164c6aa499ee8365014134c72ebfab3cf73d0c192f640224bbf722704c39a66c222ce7774afc54f83b574b71ba66b62958 SHA512 1611b8d34f511da01c4b826154429c8e2082b93089a8dcd74fd8e9debc4a57c1755247050c008aa118cfac45a397ec2a34d48b67f32766b089054702ce98d203
+DIST firefox-60.0-ff.xpi 511431 BLAKE2B 787541d4779a3aa0b7ca6e815d7846bf23144a1c9763e921885047339b20e18de160ba34d1eb9a391f8fdebe539241f7408db89c5a8460ceef383d7fe7734bfb SHA512 7d8f9bf35645b97fc16805ca02280f86a35fab4b9ab421f731cc2e6c06da04318d0de31949b46f1f7768fd2681f5db9dcf0a0ad86212915f35f0dea3f647d9ab
+DIST firefox-60.0-fi.xpi 505404 BLAKE2B 8d377a384cc40871006e55be4943fe06a1666e085d3443a772a2a296c761ebc44642f01cfd6b77ad559e60ecbabda88440579268d62130819c6f66f1b9736aac SHA512 676d4671f7d0181de052d756cd3d606e5ed403e11d6b254461d2dc27dd7ddb1f699902c3bb53f7a2a657dc2ea8bccd3eb2e7a0a2d5ba574736fdc45ed208dca1
+DIST firefox-60.0-fr.xpi 535240 BLAKE2B 729d72f6593269e768b0ace99be160236cc74d3cfc108442cb849e8676f8da2483e9ce61c6b221210dac0c80a9a44f22d13d48606f58ea94f2f957595236a24a SHA512 5fa31f99f86cb94d5cfebc859a96e4ce228acf60520f27deaac6af2a15502b3724d512dc718be7d6f18234f62a42ab18c3f37b35bd9ae378c7377c9969c3e8d3
+DIST firefox-60.0-fy-NL.xpi 523737 BLAKE2B 3db292e63e7ba30abfb68d007d2c2ad915d5515a387f14f009d281c13abd2fdc24c22654a6c4931619c53effcb3bf9cc451452fa4439c4c7a9c09c2bd9141f03 SHA512 51118c4b2fb6bb984f54fd0827350aae93242ac7b1c29d2f46383c6b169d66b5885ed2615bb98ff447d5ddf358030d67730b8f2c808af2915ed6f6a63c71b1f6
+DIST firefox-60.0-ga-IE.xpi 526201 BLAKE2B 0ad305d6d137ccbec9f63725dc2bc7d3159aaad5825ea93b3bb036b6f40db902199c05e6d294e52ad4b38559c84b2ee043fd7db3f5aa11fde1f038ad8dbb2758 SHA512 676ffc722cf4e2380c63e602f65cc601b48471fdca32298a99c408d9ff9a65db405dd2ae2947da933c25768a6566e6c5f5b8b2b9acb84cae632ae06cbba0a222
+DIST firefox-60.0-gd.xpi 520094 BLAKE2B dd15f7a4c9640518d6fd2893cadae07cf4e8321b65b77a8acf084f2ca3b55e8c158749c3f2f18da9604546d834eff189b1780522fcefd8bda13f078fcf033863 SHA512 a9c98319ceb37bf347f11c732d1cb33276c0ef1794fbcf88eedbb2dcccd5130ce7f0f95e036a1c21eb682d47fd889c6a05175f5ef11a41d325b1f60b85740db0
+DIST firefox-60.0-gl.xpi 496596 BLAKE2B e14297d0e50ab99a476063d676b575fd80ed5851c4e78e043a289655acc1142196cc59e4f305ed8cb944acd3ff6ede2cad174b476dc525b22aa31c024afe577a SHA512 c899edf53c14ad57b8161cb78b5172b2884ff3390cd0d0c029bac9987925a4dc2b7b5bfafe02b5e9c05dd9bac2fde7df4f3903d1c687711f74e99119ae42facf
+DIST firefox-60.0-gn.xpi 532445 BLAKE2B 88094fa828860de35fdcf443c0923fb1e73433447423dd90e6911feab63fde94c47c7ca3127c1a4b5a15064254eaf9187dcf3b823926363a10ad75b003e10d95 SHA512 42634c891c7429080c49a5802e9d0f101f16ffb39bdcd62b9d372fe68637527db3872eb5297f5f0be87883f8801ee0ca984b0be35d17ae61744f54ec2d56a8e6
+DIST firefox-60.0-gu-IN.xpi 589477 BLAKE2B 9fd73ca901842fe43551ae64487466c910fafc84aa58f321244490bdd8e3c27a98110b6f13a6b270d5d7564690af08d5064348f9654a821370d05f71539a00a9 SHA512 06877e34fc2f5f5a981d6b4675a87350daf3aa32e8bc7b3bde99ff06e300a55a4dd4b74cbd4506dd4470c38c0097612c38c2f907f3263747af9d7634bea77dae
+DIST firefox-60.0-he.xpi 535208 BLAKE2B 7b3c4ad6b8b43215689fc7cc141b8fb69c26b14d85ff13ca4b9d2fb35dc8229518664bf65e955073528393e05e918657ce76bf74cb79fb261f95671395477703 SHA512 eb3c5d7834fc1e8883a5973386411a24c19157b643425b9715cb01524e47b675f9e4b2607a1a70d3f793b30ff2ad4c568049853b3a9d31837aea02604f4c2204
+DIST firefox-60.0-hi-IN.xpi 590081 BLAKE2B 1272cacd0bffc935abb2dfa81380f82bfc3af1a89986fdd2c91c4871061333b0fa35b9052b88f55c663b21381cdbb900cd2105d6a668c4a289cf2cb711101545 SHA512 bb0a0cfeea4104515bcd49924464a382e8f0f0691bac36e88a43c54c3f140446c3636a551da410b34b0faff1c6d2634367ffcc524b21e2bde99edf7d4243c0a8
+DIST firefox-60.0-hr.xpi 515190 BLAKE2B b7512e56ea22d4c670c63b1039aecbb6de5f7ebf6f8ea29aaefc110f1401e13872368b3c5ca5deb37ab060e3b64c03e129d95f744cfc714f9c429322a35e6bb5 SHA512 dc58ff020baec16056adb11f8b2f8bf334e0632c34460ac1f3af43cc836b940faf0719810fd57c25fed5674a37ed50beed241fb4eb2592a271100cec5629e698
+DIST firefox-60.0-hsb.xpi 536278 BLAKE2B 8afe9946b66916fa74e68acc675813da1a03e2cd7730d38da91e77a4f9c91a628a3d4212ba1c3a650fdbd885931d67475d4734fa597cdbc28db7a599fa8022f3 SHA512 d863d508fcefe197e252cfbb9167d3672555202ea01e6940718b9552953cafc64f11bdff22116120e97d7d855e1d2fbf8a5f82a377527d0f146984c7fc30ed3e
+DIST firefox-60.0-hu.xpi 537586 BLAKE2B f30de1c23d116a738f400ba2cff01c4581390f63fc42daf32a385821c0185cda633722017459ef3be5a7ed6ba6b70fe8d3444a08cda44f541a3e1baf0f1009ff SHA512 23acfed9c6c2c978507077463231897f8a41e1c34bfff9acdc45b169906c1bf7dcdaf09ad7924e133372ab5c50458f01a2c5f48f8126dd488edc3b02740fe001
+DIST firefox-60.0-hy-AM.xpi 568631 BLAKE2B 0ebb43b8005fb77a80fb8320fcd792b4b6b5d89f2bf5e7fa703f8dd8b6862c47677a6b2d98462c187046ab9fbf793b2f0a54dac6e1719692ae42d455c216055a SHA512 8a9e71db5f7bfbf0eea21d5ce650a55afdc639b763dd568e692a29e220a2217425435398239d37eff7d915989d3437b550fc979159e1f1b21941f56b4cc8111b
+DIST firefox-60.0-id.xpi 501456 BLAKE2B c7a5cc85807bc20e4867d36d6e93228484648b0388d68299a16fc2880611916693ee7cef0441cdef44b843c936689ac657a5610f7539c05ab5810a3de8f8f4b9 SHA512 9f9d29d8c3240f10b3a75bfc5455f5675ba76eab1e509591a94d301b8272fb95f6fd617775f0f3a1ee92c62b632e1b7294d51c1456a60cf47131d5b8c231877a
+DIST firefox-60.0-is.xpi 512502 BLAKE2B 2ad7d3d83d30a16a1c55a4d5e925ccab127e2529751c1f940a1e264d0958c3b6909137828ac48a6a1b4fc065204a64fe615e795bc37f58c5a7ee29b49ae60c6c SHA512 6c90902e847dbc7561854e6812e3cb3d8c0c2b059b69bf710b765c40066f9a756d83e014067153dc5d266d86e412ad9fb1c8b7726cd3b29464c6a17b32e444e4
+DIST firefox-60.0-it.xpi 398258 BLAKE2B 42f34fb0a9b4345f5da0a99cf1f31134db35fe3d3c7b37fce95f6da224e508b20edee6ea6072ff8071e1fba206f51e5dd94cb3e9c83fee3bc1dd38fe89285188 SHA512 c0a43388e5565a035f0034c505834e9999d791636a537334ae497af048b827043837397a554db0c4d4c0700f0930e2e7d4162d1629bea44aa33e58fc166c5f81
+DIST firefox-60.0-ja.xpi 571236 BLAKE2B dd2e91b8c7bd0626f7b41df5084ce4c6b82c6207787c1e2cb48f29e4aa515734e06f3a2125963a3c7dade3a0379ce28a660bcf86fa1c5c9c89fa94509dd90c6c SHA512 b617d225bcf35a0cf0c7b32adf9865f28ea1609dcf63e9142aeafb1db58cc32347cd461287bd227236adde7dac8418ee558062b148de1eba1b1392a318571676
+DIST firefox-60.0-ka.xpi 556067 BLAKE2B 60ffe0fd06921d01fb4238a858e1df2100db2d02418724f7d7a61bfd047cbbf2c0abb3da12d95c13714752e4af417b9639ba0a388649470827cca4f9dc32ad47 SHA512 c56ff803e49b5f32e9e9de5f2b5cbdb6c14962f3767c401cca602ef5a2fd96d7eb86dc2e1709a3a0b1bc48bc32b97ed134e5c76becbcbd60a9e82ed0bbd85c55
+DIST firefox-60.0-kab.xpi 519620 BLAKE2B c82652db24c519019ce4eb2e221e9af5836d9065ceb74944ec56aa73a1f0b8441acc26a19dd3dade775d67c1109dc4fada388a5257dd2c12e0dd574a8ea2776d SHA512 52260d26dcf3acfd8f65caf9e27368f5620edd180205debf8154c34eeb4ab2835f4add78d6951c0e6fc76e856c038df5ab817bae1d79892d238d3d305f595f92
+DIST firefox-60.0-kk.xpi 582208 BLAKE2B 3f4c68cbea549add3d90d2eae946e7aeb95b5065b85299512d52ce6ce08d9f6d53b4772bc4331b5485a905f6632a8d56461bdab923b75cd0e35d461830219612 SHA512 5bf1d7bddb28248ffea6ba4747bdd3ab48e3bb7c6a476c7363043aa87f244f0ff4b5d5215af974b20a09028b1212d1cf49cc570ffb7d47e93d41c082072d0b0a
+DIST firefox-60.0-km.xpi 582334 BLAKE2B d1862a32ad53c553a83df0db971913b449215e89b75e8a688feddceae653b0a6a0bc274d464a41d54fdbe9023b0cc35281de5685468ca3f340cacef45cf558f1 SHA512 bc8550cdcc720f0719a9280a8b2cfa30d65c119c7f458507ccb10bab44b1efca7f78913cf697d1a44a0b7b2a445cb2bdd6cd594431757e716cbd593f883c52c3
+DIST firefox-60.0-kn.xpi 585100 BLAKE2B e8a094170208d7d1fec02bbdf89faa30b3554fe55d0d7a596aeab1a59ed5ba8e0c0a55c7e61bd176c3d3bba7b84e9a9bf498406eb2ec2d78ed14a5f52c5e0eeb SHA512 96277881dff2a9a743557848568ae840dd4c3ee50d16e2871f29e1c6965d50bd15929cd351575f8b07b8594234e23a1a32c5b1dec6e260040ad73180d6141d5b
+DIST firefox-60.0-ko.xpi 547048 BLAKE2B d7125b0c9af0e3974252d3a68f528ca49388b7db5c1785b534a6007658dc3b2905fb8970bc06d94f3b9b09253b98d228801b0f5935f34ae55201a156815c8a5f SHA512 14ced219c67108b9a7c97dce8f4d03e749642471690821b4eb02ccee1393a1138818e2b4ff57630fe4eec36a95373f9914cd728b1888976f3389384bdd7f1715
+DIST firefox-60.0-lij.xpi 512398 BLAKE2B 6e2decebcfb158c2fd472bafbaf31b9b64ad6c2f6bbc7b87793b85525af0bfec1ea5a62a517b6c2f49a10156a5d4757ac19b9370392a1bb57660d1e69b44b3b3 SHA512 c28089d5ec2bd69e6b18f440bb45ffc61e7610e7387875c9c945df5e72db1387868f3d65ab00d299e2c2def7802638fff119bbc58fe2b4ca4b2b6c221d72c48a
+DIST firefox-60.0-lt.xpi 535634 BLAKE2B 5f46ab8ea5f4da60f215c966cf07f93518468fb2becbd6ec7da14647f623511b8688fe6ae3c2ba7a875adea91f99a5de5171564a0cc3076fa16094ab7daa5633 SHA512 e0771143be3ceb6dacb1addad8558753eb4196cb4fdef58c66d7c6a3bd4de21045a7111f44d4b039256e95c4e06480c8855a23876ea41d3c1ec9787ad66a9f3c
+DIST firefox-60.0-lv.xpi 525636 BLAKE2B 6fba4da45ab5ef9e146f3ff079f116ddd1b8ffe34145062811f493d926bf226c731e4f9d27f0400a4d9ab811aa34e4f166ae61d27899ca8fdf7dbfb621087a93 SHA512 3d254673cf73b0184c01faf65d1cf764f53f7f0e50c75536fc861bbe1ab8b82226fbdaaeb0753e87dbe1d15d96ba02b1ce3625f3defda1262619e6aa3c549237
+DIST firefox-60.0-mai.xpi 548470 BLAKE2B ac10710097cbdb4a5efd233472e693c30ca0e36d9191fe8135147b8166089e78c43a87f2133ca45896cd768881ede7c150e8d2a4321bd89a6639cf4f367b843a SHA512 02ac892f09681a81b650af95a9a26a67798fca293d847e2f60d2d02c01b2ed91d2a47f726c5788625dc8e03ebf6a0ca87b3060604d9f5156ab1fcc8e718ac42f
+DIST firefox-60.0-mk.xpi 513024 BLAKE2B b84503335dd8b20d904cac5f179b2f5b6d8dd60606fd01cc807a178746061b2b691747ef644c4c0b4604d11091d09dd599c0d411e9b93ffc81dde15b0e90424b SHA512 ba778f6348d7a82d971ab0de23f6db0c404db463946539e5a7190a1a27bf8fcc5262be4e5201935a6689d6077f88a3d441c4ef51612a2c50679d0144e48248d2
+DIST firefox-60.0-ml.xpi 598200 BLAKE2B 4ac2dcfb59fe31385f16e29edf086cb35b7a0c8f0760b584813e7e901bac28bbd461fa1520bebd3f0d388c308ea8ab3159e88bc25c6b82245a38c03e426b2536 SHA512 10ed64b47487f14ab6948f1c6fc4ccc82ca731964dd6b97a67eed1bd416f018bc7cf1d4b7c535544a2dd3f3745bf45a94949e9e6bd54708666b0da2373a50f56
+DIST firefox-60.0-mr.xpi 578337 BLAKE2B c70eaaad2ed8f24e9e8e8125e82422920fff5e612830f60a8efc0f9a1ca73a562f1417fb4ab538a58641a85f5a3f916deb2a47224f11b8987239b49fdbd3f9df SHA512 7fbf58b9e823a661722d7c4077309c4c71f2dccc2bb277434357e066ca8e16d5643b5baca407e13a693f9613a06111a2150b5fa38f9f0f10809f8c928d209f64
+DIST firefox-60.0-ms.xpi 508782 BLAKE2B 7d05e68407d396eac221ef00929cfd6a823a435d60913c7c2685120862366a63b3bbedecd4f68c2acb457e079beaa5de3feeb62373e0abf4af9e45a2ec9ca1d2 SHA512 802945745040f4077a3fed79f9f3f80ac07246176025b913e8ca2bb42044a720c107fa11bac34362d2002c8bb64dd8af7b24be685e009c3e8e93adcd9f4ab911
+DIST firefox-60.0-nb-NO.xpi 509096 BLAKE2B 04b44b10389372a34c88cf081dff1eb5a63cad4b27515dc15235ca32171d15f890cdb7e79f15417f18bbd36904d93a47eb33549264d7dc9f25d57a312d89d592 SHA512 70e0df8047becb0c0b77b91d79e3e522727d9e6458618b108c9c694e2edcdf3e11ea8ad0e6df768ef4e22d5b6dbb25009e0402bd63a6c9615b78f25476861874
+DIST firefox-60.0-nl.xpi 516657 BLAKE2B e6e6f4fd3cadbbead381427c18188ee44c7630ec570215deebc51d2cb931cc4cfdf0de847e0a1ce1a75c3f87faae69c30137509a109d3624a8f98293ef8f313e SHA512 3e344a09f21ee1e40a748afff0d40b768b234a9d8bd6f632ed74f57b4823cb1b51489f8a54f6dbf6dd0015486bf0c5f8f27a7f8137d4c8692dd09ba593eeb1c2
+DIST firefox-60.0-nn-NO.xpi 510618 BLAKE2B 8a99b8f35cb7990b0a8daaf678a6f4090c08c6bc2fc2c865922925f5fa10e3408eec7f02470aed49a66fdf420a7f62a9cb7d139f31d957521baa12f1034cc584 SHA512 0805d7cf14c930a646ed0761a506abbea53b1cd29fc2bf42ac5d3dab5cc6a6e584eb86f1f23933826e12796390ac00314a02b89488217e28b949d1a370f12c96
+DIST firefox-60.0-or.xpi 540093 BLAKE2B 3cebb397eaad96673adb7854d6cfa120d5d875cb81f652156e05fd760572a77a26c1c72cfe0124ab7b65490a657a185c05e1111b13065520e88dafcd9cd0dbbc SHA512 92cd506669e3faa2bda9bb5b7dd3150c193ea9717cc02afa7c320e98481a6cdf6c78a46160646172f8b653b3c832662eed409462260d3bb0175221a9fdb605a5
+DIST firefox-60.0-pa-IN.xpi 557089 BLAKE2B d27f363ba8d38c1e5b2a214ecf49afc6e998936ab2fd7a745b5459a9e8733e60ad40dec6ad6874092d92e4447a203e13f10b95d5262c75983dcc8539f6486e12 SHA512 7d9990eacc8070357de181646fc895c17cac59d581cc02f957a138611ac319bf09ece8389de78f5a0ff3b5726d70d2b0827fd1f555a662777a185faf38622d48
+DIST firefox-60.0-patches-01.tar.xz 110152 BLAKE2B a5927cbf169a6d0acf73044385695fab67154648d69f6689a8e5ed76cd98eefaace38089571d32901cebde1bb55bb59e794a48d2b8a63b2177dc74c544c36e09 SHA512 cdc88de38a176c231d05ced908270f7afbf3a81259dbe0ef8536505d63fb6d0e6cadc4b20a4d5645644997298440a7bd65f738b049e87b76809c0c1f43336ed2
+DIST firefox-60.0-pl.xpi 418188 BLAKE2B 0e9ab48db1209be3b08a95dfd721a2501415edeac92c5ca944334579d03de62f7b0e859aa645c9393191ba031ea7ed065f73521b0ed89e48824ccf57c4a2ff3e SHA512 d0599367261fd9cf7152d9aba303d2d93f0dbd03ec1dcd5d99b4432763627e46170e5264c092a1dfce9b0db92eb07f8c764237c8a6f4adaa54dcf74181e48904
+DIST firefox-60.0-pt-BR.xpi 513937 BLAKE2B 684fb7cf3736c0c2905a6f9125128d49fe6eeb519739846ab0f4f744b1e04a81cb8e56ddf02fa1bc593a0fd63cc1571c0dc9ebebfea896f5a4c44ad62f5bd7c8 SHA512 aa452b59811cdfb7e527a1f471559c076dce8078bbe04fe15b30ed3ef8ff0b05b2b8281bae6072a50e2aefb83a932927439b1e95d3721cc173360055190d5272
+DIST firefox-60.0-pt-PT.xpi 518541 BLAKE2B a5d5e0e58cc141b96b36b0fe91e415bac38c19f2db5a75f0b0fcfefcc6d43d5d742f9b2d7743cf9af93472966d20d0b4575aee7daf64e9fb1775b06cae014d37 SHA512 7ca5e992e9d82573590f26439ad2ef2abb7f44e36c261ce5105295b4bc37cacffb4ef9e8c4e66ddb601f04f9b51438b04655d12bcf8bf23b57861b878423c7a4
+DIST firefox-60.0-rm.xpi 505265 BLAKE2B 2577ce2efa7e5395a5487a216917364e1c5346f3247c666c2c2006f037a22eb784dc50360ef377b03ae519d419160c56ea00ce9457511c9960507bf8efa8c780 SHA512 5a7ea8fcde5969a9150bf9051f448a72933e400e61eb11b966812129d9b9315baf3ea5cd3276254d12389e8c87b34ae51f2a601a7e7003c2198828f9acee6d73
+DIST firefox-60.0-ro.xpi 513282 BLAKE2B f7e489869728e9b5553ed35997a52cf80cebf57104ddccd44d3ed9907f7fadcb39f1582cff207086d37b40ff779a326820045b7d49d2250b861b3a9e47e737cd SHA512 7069b9ed1943f6ccbbf88211ad45a047695248c2dd2cf52aaa5f7aabfc911968be75582b9ce7248a14ecfe451c25516149dce628a45728920e8e3fd5e7d83fb7
+DIST firefox-60.0-ru.xpi 590510 BLAKE2B 0f8b1f1a6c3860292bcacd8fa5af8c20ba9154bdfdd73596e8a24bd645b204764e16d2b33f9717d9691091d064cd5d6510361c2757d0339dd3dc0b27eeb9b305 SHA512 48a6068069b6345681b0597d242ee58f7a12cb4ab6a4a5c63b605c6cbe8311ee4fa0c323aa38fefed05b5f05715e2d9d00f8421bb91da375e1de4ccf96e401df
+DIST firefox-60.0-si.xpi 544796 BLAKE2B 29129c1a9989b407be23dca67fa669479300f11af59a4c2ca1898851ab0d814d08014d0156a201a372afbd99b1dfb9a76f357aa4280247a5c1def9fa13fcbb11 SHA512 c96e5e95816e3b5371cf22a896b4f120a2ec343033fde3b90d22b2c10ad2ce7d70dec1b032cac83093c02c6a771eb241ea4ef38a07ea8ee02f12ef296ea96058
+DIST firefox-60.0-sk.xpi 540922 BLAKE2B 8379e282fd32b3835ecc77f9f52d1af709fe06e938c2dd65442f722c580253fb4e331e48d5b51c0f9f36b7fba7918f0457763cb4f9f9e996a40adb4c1012017b SHA512 10aba0170644ecf3b452379f760233a7fa13bc3362dce85a5b1f93f4d14809639db56f052f5b6578103f8aa560199f92d2b26c8bedebf7735ecaea00c26bb78b
+DIST firefox-60.0-sl.xpi 518574 BLAKE2B d1cdd6133a45930322820ad9af306f5cc58835c8be540a063e26accd6fcb98fffc87ab44edd62aa9121a65d0b92acd6dbe039bd9c646ab9409b9bfa717a675e6 SHA512 184feea1eff11c76d80e105e9b5c0b75d7b078b974c8a5454c67a1af20d2692548e71cbc833b29df9f051cdc2cfad301e96e1257b5c70e694861f98daebb8e1e
+DIST firefox-60.0-son.xpi 496914 BLAKE2B f19a0f7264a44ee1925874a5e07286891fae78781e8fd51dbc1c4bf44631e31b48893a3cdea0cebaedf78a8d6886773543c5810e7c975fc9646d260a3b6682a4 SHA512 5da4404bb78d3cdd67b0b4eba1aef00dce6c88e6992255bcfcafaa127c4d8427720045e27291433409c0ce35b27bb48ca34bb812e67043f3b3e2af63dfe7e476
+DIST firefox-60.0-sq.xpi 520493 BLAKE2B 630077ce84dc6f7e1b2bff571ed41953d46f43ac933ee0df85f8453398730218bf09ac955d3b4a39dd524068ea9422e27c1b0a76369b7048130c44303a77ca1d SHA512 f12af93782099529aea0ceac450f9271f4cec8129872423cc38287e9ce30d86670a4f1fee31012303ff80ec7ba30d0b40a6d3aed6774d27706b2dcb9d2f8a226
+DIST firefox-60.0-sr.xpi 547995 BLAKE2B 8aa7079cd3290f7b5042c32938bcde7f1f6d4817c78fbd501cff7b5968813c5cda69589de729903f2a09237436c6a0dbb91853a5aa89598b9cb4b9266c5ab80f SHA512 2f542c0d9e5c722ccaecdee58a5665fc40d279b8c2f1c20f0df1625fea1f426618f9fd972ce45ce3526b0e88d238436b10a924f67c5de154cdcbe4b4ef3b00ca
+DIST firefox-60.0-sv-SE.xpi 517847 BLAKE2B d744cef932419dfcbdd37c5ab0f3c69550a171a634640e6923d27bd385c9a3055cfc2d989cc2e364de6be96a15b901e5e0f826046a4d74c206c19b2add3c3f92 SHA512 909ae6c9746243042ab831b56a343b344f281ff81f494542f43218213a84164c10ed6cb0a498d981001a36e68b96f608dfcf9bc406a61ef1a3b9f22aae371253
+DIST firefox-60.0-ta.xpi 577139 BLAKE2B c7c5efbbbe4068121e6e4d8f287ba60cdf8d1e4a55628390a5c37617ff17abf2b2545e8b731ac147a08ce546c733b789ff2f163e9628310156ec1582f35233e8 SHA512 3b9e7bf0c84205a9d6807708999c6e0e95db8d3e603ab26bbe37bd9ea0d359271dd739084569437f26fc345a7912f16f51ed9e89347085e31bd2239e84779fe7
+DIST firefox-60.0-te.xpi 590183 BLAKE2B c59ff533c6733ed74e228aa048a7abb72c03cd9e693753acc0f755b2f57d25775a4e4737dd9edd35a892c07d19a4aee4ac48ddda4f53eb87768e6694159d3d87 SHA512 c880efc666d01825d24bbfeaff31e34cc4f053ae0db80e9bffaad5be3ebf338260db23fcbd4ec81bba52a875fc3897fe3a9bb0323822898d72689e516ea52f08
+DIST firefox-60.0-th.xpi 562036 BLAKE2B e38ed2313fa7833783de258f62043bcef10ca009c426c96106ebad2b746237751ef94f423be85845fc16cf336f49840604efd5bc5b75181da5f8ace262bc2739 SHA512 6138c9c314e552ba13127333e1f92e8b502ea865cee323951b2a21c70bbc1ddb9addd70230e03ae7ba95ffb971c9db23cb485eecab9b26817e9f69f2cc789313
+DIST firefox-60.0-tr.xpi 525033 BLAKE2B 784228a20d76b505bea931f7d6f24b9e33a40f95ee262133d11b5e673f2b0576088ba24af63a93e0a9ffc839720b04a6626b3ba26ffc971fd9f77067c367c82e SHA512 d6554bc68fd372e8d0167b7010e15470106f27b3b45122d6efffe83c01345da01c1963980c13a1e94b686e72cd9cc9f7afe985ddaab37213ad6a8e07a48e7c02
+DIST firefox-60.0-uk.xpi 580145 BLAKE2B 64693f6aae2e1274ae9f7b643138d50f96d14ac4d7fe5463c13d41fc4bfa0290d44480667f9585f9d376ca2b18e02c3eedf206d6ce83f49d1097ec6b082d0c79 SHA512 268c77e37991577325c7216fa58e24a8827ce97f83e4d002b81f9fcdb6246ae7d2d962fa0e8bb6322c254d628b300a8859bc08490847e76863fc8d2d27e8b1a6
+DIST firefox-60.0-uz.xpi 512909 BLAKE2B 8e259f16dd4c6e16a1223438f61ac0576341b1d3b3da61cebacc6801a80a38fb87ef1da2a1211e23596e4e01e1141ec955684b59aca7c04f52c7f2f5afb7912d SHA512 74efb5b0cc152c851136a4144c1785d0e1e4929164c6f2858bda469bdf19d4c08ceef991a73ed8a849986bc0ab47b7223a91fdd7d064e7211a8778e90e554494
+DIST firefox-60.0-vi.xpi 527412 BLAKE2B 6ca993d7590c0da9217093ac9583b86f0d381387398220c22ac61000f4691b014dcf526d6447833f80d566574f39b1faa5be315946ddf6c44b4a0bab3bcaca58 SHA512 9c837d79f2257ea8f42c8405303a4e51561dd1974f2d6e21b4fb912fe57cc9a716de3275f38b6acb0c22029926aa230d46c8c041e4d595f3c995f7a588b2ead3
+DIST firefox-60.0-xh.xpi 511081 BLAKE2B 37d778b5ea864bc872a23a490228f3ff9dd5762ac5dc7e858d4f64835963d1ec8124e90439bf5ef48041e958f6aa2c66213058aaf81dc7d1abb44a81093ac491 SHA512 48aaa3b060a51fc6de9ce370f296acccff92fd1aba3070d52d0545a64387f1a68abe457bae9857e8ebd1cdd55071c5a4311297a5f24e1c8d4c811b8d6a84b26a
+DIST firefox-60.0-zh-CN.xpi 542804 BLAKE2B bd5cd289fe0c6b5d7f46f885c29d286c24649b0ff5f1bc4fde196db8458489a936cdeb9f2009d7592b61a7ba69c378788231c6dd179333b8a2519b459f3bfdae SHA512 c4a8984cfb629624934084d245d9de9053feb0b11f031c9d504cbbbc1d527f3c1f5e25717caa869060b4c57b0389a6efb68a190b443c6a7f84a2fcc288394aba
+DIST firefox-60.0-zh-TW.xpi 541119 BLAKE2B 33cc14ea7cc6b3e36f84a3e710b65e84c5ebdb07612c5977509650419a1dc0087b567452cc4be343841ffd53e9434811f0596396aa7d50b299feeaba8e1fd370 SHA512 1523c61e27a063438dc4c4baa50809fbadb509b7f278aa71af4b1b7b1f6a843632f041c84f00f3a7ae7c9363efcc59cf9ed9520660a17fecd036e868f043ab1c
+DIST firefox-60.0.source.tar.xz 266717500 BLAKE2B 1cc4fcb0ca26b3cbbe0e0e8278ebb6edf4d38b6e65201db78df921bae44350eae6a0566c3fcf688df33fc90c605738254acbcd93f3346988e7acabf1f4565e6f SHA512 63c156238a6b6b6188f093d2658d3152cd0ff6a1e275dd819a6d111dd4f964cac548632f45cd0f561b17537cde2740afe681e28d5a4d69477d9f39030567a0fc
diff --git a/www-client/firefox/firefox-59.0.2.ebuild b/www-client/firefox/firefox-60.0.ebuild
index 0af6de236ce..847f78bceca 100644
--- a/www-client/firefox/firefox-59.0.2.ebuild
+++ b/www-client/firefox/firefox-60.0.ebuild
@@ -24,12 +24,12 @@ if [[ ${MOZ_ESR} == 1 ]]; then
fi
# Patch version
-PATCH="${PN}-59.0-patches-01"
+PATCH="${PN}-60.0-patches-01"
MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases"
MOZCONFIG_OPTIONAL_WIFI=1
-inherit check-reqs flag-o-matic toolchain-funcs eutils gnome2-utils mozconfig-v6.58 \
+inherit check-reqs flag-o-matic toolchain-funcs eutils gnome2-utils mozconfig-v6.60 \
pax-utils xdg-utils autotools mozlinguas-v2
DESCRIPTION="Firefox Web Browser"
@@ -48,7 +48,7 @@ SDIR="release"
PATCH_URIS=( https://dev.gentoo.org/~{anarchy,axs,polynomial-c}/mozilla/patchsets/${PATCH}.tar.xz )
SRC_URI="${SRC_URI}
- https://hg.mozilla.org/releases/mozilla-${SDIR}/archive/${SRCHASH}.tar.bz2 -> firefox-${MOZ_PV}.source.tar.bz2
+ ${MOZ_HTTP_URI}/${MOZ_PV}/source/firefox-${MOZ_PV}.source.tar.xz
${PATCH_URIS[@]}"
ASM_DEPEND=">=dev-lang/yasm-1.1"
@@ -66,7 +66,7 @@ DEPEND="${RDEPEND}
amd64? ( ${ASM_DEPEND} virtual/opengl )
x86? ( ${ASM_DEPEND} virtual/opengl )"
-S="${WORKDIR}"/mozilla-${SDIR}-${SRCHASH}
+S="${WORKDIR}/firefox-${PV%_*}"
QA_PRESTRIPPED="usr/lib*/${PN}/firefox"
@@ -228,7 +228,7 @@ src_configure() {
src_compile() {
MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
- ./mach build || die
+ ./mach build --verbose || die
}
src_install() {